--------------------------------------------------------
--  File created - Friday-June-13-2014   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Sequence COURSE_NO_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "ORACLEUSER"."COURSE_NO_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 452 NOCACHE  NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence INSTRUCTOR_ID_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "ORACLEUSER"."INSTRUCTOR_ID_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 112 NOCACHE  NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SECTION_ID_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "ORACLEUSER"."SECTION_ID_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 158 NOCACHE  NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence STUDENT_ID_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "ORACLEUSER"."STUDENT_ID_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 401 NOCACHE  NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Table COURSE
--------------------------------------------------------

  CREATE TABLE "ORACLEUSER"."COURSE" 
   (	"COURSE_NO" NUMBER(8,0), 
	"DESCRIPTION" VARCHAR2(50 BYTE), 
	"COST" NUMBER(9,2), 
	"PREREQUISITE" NUMBER(8,0), 
	"CREATED_BY" VARCHAR2(30 BYTE), 
	"CREATED_DATE" DATE, 
	"MODIFIED_BY" VARCHAR2(30 BYTE), 
	"MODIFIED_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "ORACLEUSER"."COURSE"."COURSE_NO" IS 'The unique ID for a course.';
   COMMENT ON COLUMN "ORACLEUSER"."COURSE"."DESCRIPTION" IS 'The full name for this course.';
   COMMENT ON COLUMN "ORACLEUSER"."COURSE"."COST" IS 'The dollar amount charged for enrollment in this course.';
   COMMENT ON COLUMN "ORACLEUSER"."COURSE"."PREREQUISITE" IS 'The ID number of the course which must be taken as a prerequisite to this course.';
   COMMENT ON COLUMN "ORACLEUSER"."COURSE"."CREATED_BY" IS 'Audit column - indicates user who inserted data.';
   COMMENT ON COLUMN "ORACLEUSER"."COURSE"."CREATED_DATE" IS 'Audit column - indicates date of insert.';
   COMMENT ON COLUMN "ORACLEUSER"."COURSE"."MODIFIED_BY" IS 'Audit column - indicates who made last update.';
   COMMENT ON COLUMN "ORACLEUSER"."COURSE"."MODIFIED_DATE" IS 'Audit column - date of last update.';
   COMMENT ON TABLE "ORACLEUSER"."COURSE"  IS 'Information for a course.';
--------------------------------------------------------
--  DDL for Table ENROLLMENT
--------------------------------------------------------

  CREATE TABLE "ORACLEUSER"."ENROLLMENT" 
   (	"STUDENT_ID" NUMBER(8,0), 
	"SECTION_ID" NUMBER(8,0), 
	"ENROLL_DATE" DATE, 
	"FINAL_GRADE" NUMBER(3,0), 
	"CREATED_BY" VARCHAR2(30 BYTE), 
	"CREATED_DATE" DATE, 
	"MODIFIED_BY" VARCHAR2(30 BYTE), 
	"MODIFIED_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "ORACLEUSER"."ENROLLMENT"."STUDENT_ID" IS 'The unique ID for a student.';
   COMMENT ON COLUMN "ORACLEUSER"."ENROLLMENT"."SECTION_ID" IS 'The unique ID for a section.';
   COMMENT ON COLUMN "ORACLEUSER"."ENROLLMENT"."ENROLL_DATE" IS 'The date this student registered for this section.';
   COMMENT ON COLUMN "ORACLEUSER"."ENROLLMENT"."FINAL_GRADE" IS 'The final grade given to this student for all work in this section (class).';
   COMMENT ON COLUMN "ORACLEUSER"."ENROLLMENT"."CREATED_BY" IS 'Audit column - indicates user who inserted data.';
   COMMENT ON COLUMN "ORACLEUSER"."ENROLLMENT"."CREATED_DATE" IS 'Audit column - indicates date of insert.';
   COMMENT ON COLUMN "ORACLEUSER"."ENROLLMENT"."MODIFIED_BY" IS 'Audit column - indicates who made last update.';
   COMMENT ON COLUMN "ORACLEUSER"."ENROLLMENT"."MODIFIED_DATE" IS 'Audit column - date of last update.';
   COMMENT ON TABLE "ORACLEUSER"."ENROLLMENT"  IS 'Information for a student registered for a particular section (class).';
--------------------------------------------------------
--  DDL for Table GRADE
--------------------------------------------------------

  CREATE TABLE "ORACLEUSER"."GRADE" 
   (	"STUDENT_ID" NUMBER(8,0), 
	"SECTION_ID" NUMBER(8,0), 
	"GRADE_TYPE_CODE" CHAR(2 BYTE), 
	"GRADE_CODE_OCCURRENCE" NUMBER(38,0), 
	"NUMERIC_GRADE" NUMBER(3,0) DEFAULT 0, 
	"COMMENTS" VARCHAR2(2000 BYTE), 
	"CREATED_BY" VARCHAR2(30 BYTE), 
	"CREATED_DATE" DATE, 
	"MODIFIED_BY" VARCHAR2(30 BYTE), 
	"MODIFIED_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "ORACLEUSER"."GRADE"."STUDENT_ID" IS 'The unique ID for the student.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE"."SECTION_ID" IS 'The unique ID for a section.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE"."GRADE_TYPE_CODE" IS 'The code which identifies a category of grade.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE"."GRADE_CODE_OCCURRENCE" IS 'The sequence number of one grade type for one section. For example, there could be multiple assignments numbered 1, 2, 3, etc.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE"."NUMERIC_GRADE" IS 'Numeric grade value, (e.g. 70, 75.)';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE"."COMMENTS" IS 'Instructor''s comments on this grade.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE"."CREATED_BY" IS 'Audit column - indicates user who inserted data.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE"."CREATED_DATE" IS 'Audit column - indicates date of insert.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE"."MODIFIED_BY" IS 'Audit column - indicates who made last update.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE"."MODIFIED_DATE" IS 'Audit column - date of last update.';
   COMMENT ON TABLE "ORACLEUSER"."GRADE"  IS 'The individual grades a student received for a particular section(class).';
--------------------------------------------------------
--  DDL for Table GRADE_CONVERSION
--------------------------------------------------------

  CREATE TABLE "ORACLEUSER"."GRADE_CONVERSION" 
   (	"LETTER_GRADE" VARCHAR2(2 BYTE), 
	"GRADE_POINT" NUMBER(3,2) DEFAULT 0, 
	"MAX_GRADE" NUMBER(3,0), 
	"MIN_GRADE" NUMBER(3,0), 
	"CREATED_BY" VARCHAR2(30 BYTE), 
	"CREATED_DATE" DATE, 
	"MODIFIED_BY" VARCHAR2(30 BYTE), 
	"MODIFIED_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "ORACLEUSER"."GRADE_CONVERSION"."LETTER_GRADE" IS 'The unique grade as a letter (A, A-, B, B+, etc.).';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_CONVERSION"."GRADE_POINT" IS 'The number grade on a scale from 0 (F) to 4 (A).';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_CONVERSION"."MAX_GRADE" IS 'The highest grade number which makes this letter grade.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_CONVERSION"."MIN_GRADE" IS 'The lowest grade number which makes this letter grade.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_CONVERSION"."CREATED_BY" IS 'Audit column - indicates user who inserted data.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_CONVERSION"."CREATED_DATE" IS 'Audit column - indicates date of insert.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_CONVERSION"."MODIFIED_BY" IS 'Audit column - indicates who made last update.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_CONVERSION"."MODIFIED_DATE" IS 'Audit column - date of last update.';
   COMMENT ON TABLE "ORACLEUSER"."GRADE_CONVERSION"  IS 'Converts a number grade to a letter grade.';
--------------------------------------------------------
--  DDL for Table GRADE_TYPE
--------------------------------------------------------

  CREATE TABLE "ORACLEUSER"."GRADE_TYPE" 
   (	"GRADE_TYPE_CODE" CHAR(2 BYTE), 
	"DESCRIPTION" VARCHAR2(50 BYTE), 
	"CREATED_BY" VARCHAR2(30 BYTE), 
	"CREATED_DATE" DATE, 
	"MODIFIED_BY" VARCHAR2(30 BYTE), 
	"MODIFIED_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE"."GRADE_TYPE_CODE" IS 'The unique code which identifies a category of grade, i.e. MT, HW.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE"."DESCRIPTION" IS 'The description for this code, i.e. Midterm, Homework.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE"."CREATED_BY" IS 'Audit column - indicates user who inserted data.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE"."CREATED_DATE" IS 'Audit column - indicates date of insert.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE"."MODIFIED_BY" IS 'Audit column - indicates who made last update.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE"."MODIFIED_DATE" IS 'Audit column - date of last update.';
   COMMENT ON TABLE "ORACLEUSER"."GRADE_TYPE"  IS 'Lookup table of a grade types (code) and its description.';
--------------------------------------------------------
--  DDL for Table GRADE_TYPE_WEIGHT
--------------------------------------------------------

  CREATE TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" 
   (	"SECTION_ID" NUMBER(8,0), 
	"GRADE_TYPE_CODE" CHAR(2 BYTE), 
	"NUMBER_PER_SECTION" NUMBER(3,0), 
	"PERCENT_OF_FINAL_GRADE" NUMBER(3,0), 
	"DROP_LOWEST" CHAR(1 BYTE), 
	"CREATED_BY" VARCHAR2(30 BYTE), 
	"CREATED_DATE" DATE, 
	"MODIFIED_BY" VARCHAR2(30 BYTE), 
	"MODIFIED_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE_WEIGHT"."SECTION_ID" IS 'The unique section ID for a section.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE_WEIGHT"."GRADE_TYPE_CODE" IS 'The code which identifies a category of grade.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE_WEIGHT"."NUMBER_PER_SECTION" IS 'How many of these grade types can be used in this section.  That is, there may be 3 quizzes.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE_WEIGHT"."PERCENT_OF_FINAL_GRADE" IS 'The percentage this category of grade contributes to the final grade.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE_WEIGHT"."DROP_LOWEST" IS 'Is the lowest grade in this type removed when determining the final grade? (Y/N)';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE_WEIGHT"."CREATED_BY" IS 'Audit column - indicates user who inserted data.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE_WEIGHT"."CREATED_DATE" IS 'Audit column - indicates date of insert.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE_WEIGHT"."MODIFIED_BY" IS 'Audit column - indicates who made last update.';
   COMMENT ON COLUMN "ORACLEUSER"."GRADE_TYPE_WEIGHT"."MODIFIED_DATE" IS 'Audit column - date of last update.';
   COMMENT ON TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT"  IS 'Information on how the final grade for a particular section is computed.  For example, the midterm constitutes 50%, the quiz 10% and the final examination 40% of the final grade.';
--------------------------------------------------------
--  DDL for Table INSTRUCTOR
--------------------------------------------------------

  CREATE TABLE "ORACLEUSER"."INSTRUCTOR" 
   (	"INSTRUCTOR_ID" NUMBER(8,0), 
	"SALUTATION" VARCHAR2(5 BYTE), 
	"FIRST_NAME" VARCHAR2(25 BYTE), 
	"LAST_NAME" VARCHAR2(25 BYTE), 
	"STREET_ADDRESS" VARCHAR2(50 BYTE), 
	"ZIP" VARCHAR2(5 BYTE), 
	"PHONE" VARCHAR2(15 BYTE), 
	"CREATED_BY" VARCHAR2(30 BYTE), 
	"CREATED_DATE" DATE, 
	"MODIFIED_BY" VARCHAR2(30 BYTE), 
	"MODIFIED_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."INSTRUCTOR_ID" IS 'The unique ID for an instructor.';
   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."SALUTATION" IS 'This instructor''s title (Mr., Ms., Dr., Rev., etc.)';
   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."FIRST_NAME" IS 'This instructor''s first name.';
   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."LAST_NAME" IS 'This instructor''s last name';
   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."STREET_ADDRESS" IS 'This Instructor''s street address.';
   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."ZIP" IS 'The postal zip code for this instructor.';
   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."PHONE" IS 'The phone number for this instructor including area code.';
   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."CREATED_BY" IS 'Audit column - indicates user who inserted data.';
   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."CREATED_DATE" IS 'Audit column - indicates date of insert.';
   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."MODIFIED_BY" IS 'Audit column - indicates who made last update.';
   COMMENT ON COLUMN "ORACLEUSER"."INSTRUCTOR"."MODIFIED_DATE" IS 'Audit column - date of last update.';
   COMMENT ON TABLE "ORACLEUSER"."INSTRUCTOR"  IS 'Profile information for an instructor.';
--------------------------------------------------------
--  DDL for Table SECTION
--------------------------------------------------------

  CREATE TABLE "ORACLEUSER"."SECTION" 
   (	"SECTION_ID" NUMBER(8,0), 
	"COURSE_NO" NUMBER(8,0), 
	"SECTION_NO" NUMBER(3,0), 
	"START_DATE_TIME" DATE, 
	"LOCATION" VARCHAR2(50 BYTE), 
	"INSTRUCTOR_ID" NUMBER(8,0), 
	"CAPACITY" NUMBER(3,0), 
	"CREATED_BY" VARCHAR2(30 BYTE), 
	"CREATED_DATE" DATE, 
	"MODIFIED_BY" VARCHAR2(30 BYTE), 
	"MODIFIED_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."SECTION_ID" IS 'The unique ID for a section.';
   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."COURSE_NO" IS 'The course number for which this is a section.';
   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."SECTION_NO" IS 'The individual section number within this course.';
   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."START_DATE_TIME" IS 'The date and time on which this section meets.';
   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."LOCATION" IS 'The meeting room for the section.';
   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."INSTRUCTOR_ID" IS 'The ID number of the instructor who teaches this section.';
   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."CAPACITY" IS 'The maximum number of students allowed in this section.';
   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."CREATED_BY" IS 'Audit column - indicates user who inserted data.';
   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."CREATED_DATE" IS 'Audit column - indicates date of insert.';
   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."MODIFIED_BY" IS 'Audit column - indicates who made last update.';
   COMMENT ON COLUMN "ORACLEUSER"."SECTION"."MODIFIED_DATE" IS 'Audit column - date of last update.';
   COMMENT ON TABLE "ORACLEUSER"."SECTION"  IS 'Information for an individual section (class) of a particular course.';
--------------------------------------------------------
--  DDL for Table STUDENT
--------------------------------------------------------

  CREATE TABLE "ORACLEUSER"."STUDENT" 
   (	"STUDENT_ID" NUMBER(8,0), 
	"SALUTATION" VARCHAR2(5 BYTE), 
	"FIRST_NAME" VARCHAR2(25 BYTE), 
	"LAST_NAME" VARCHAR2(25 BYTE), 
	"STREET_ADDRESS" VARCHAR2(50 BYTE), 
	"ZIP" VARCHAR2(5 BYTE), 
	"PHONE" VARCHAR2(15 BYTE), 
	"EMPLOYER" VARCHAR2(50 BYTE), 
	"REGISTRATION_DATE" DATE, 
	"CREATED_BY" VARCHAR2(30 BYTE), 
	"CREATED_DATE" DATE, 
	"MODIFIED_BY" VARCHAR2(30 BYTE), 
	"MODIFIED_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."STUDENT_ID" IS 'The unique ID for a student.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."SALUTATION" IS 'The student''s title (Ms., Mr., Dr., etc.).';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."FIRST_NAME" IS 'This student''s first name.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."LAST_NAME" IS 'This student''s last name.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."STREET_ADDRESS" IS 'The student''s street address.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."ZIP" IS 'The postal zip code for this student.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."PHONE" IS 'The phone number for this student including area code.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."EMPLOYER" IS 'The name of the company where this student is employed.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."REGISTRATION_DATE" IS 'The date this student registered in the program.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."CREATED_BY" IS 'Audit column - indicates user who inserted data.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."CREATED_DATE" IS 'Audit column - indicates date of insert.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."MODIFIED_BY" IS 'Audit column - indicates who made last update.';
   COMMENT ON COLUMN "ORACLEUSER"."STUDENT"."MODIFIED_DATE" IS 'Audit column - date of last update.';
   COMMENT ON TABLE "ORACLEUSER"."STUDENT"  IS 'Profile information for a student.';
--------------------------------------------------------
--  DDL for Table ZIPCODE
--------------------------------------------------------

  CREATE TABLE "ORACLEUSER"."ZIPCODE" 
   (	"ZIP" VARCHAR2(5 BYTE), 
	"CITY" VARCHAR2(25 BYTE), 
	"STATE" VARCHAR2(2 BYTE), 
	"CREATED_BY" VARCHAR2(30 BYTE), 
	"CREATED_DATE" DATE, 
	"MODIFIED_BY" VARCHAR2(30 BYTE), 
	"MODIFIED_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "ORACLEUSER"."ZIPCODE"."ZIP" IS 'The zip code number, unique for a city and state.';
   COMMENT ON COLUMN "ORACLEUSER"."ZIPCODE"."CITY" IS 'The city name for this zip code.';
   COMMENT ON COLUMN "ORACLEUSER"."ZIPCODE"."STATE" IS 'The postal abbreviation for the US state.';
   COMMENT ON COLUMN "ORACLEUSER"."ZIPCODE"."CREATED_BY" IS 'Audit column - indicates user who inserted data.';
   COMMENT ON COLUMN "ORACLEUSER"."ZIPCODE"."CREATED_DATE" IS 'Audit column - indicates date of insert.';
   COMMENT ON COLUMN "ORACLEUSER"."ZIPCODE"."MODIFIED_BY" IS 'Audit column - indicates who made last update.';
   COMMENT ON COLUMN "ORACLEUSER"."ZIPCODE"."MODIFIED_DATE" IS 'Audit column - date of last update.';
   COMMENT ON TABLE "ORACLEUSER"."ZIPCODE"  IS 'City, state and zip code information.';
REM INSERTING into ORACLEUSER.COURSE
SET DEFINE OFF;
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (10,'Technology Concepts',1195,null,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (20,'Intro to Information Systems',1195,null,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (25,'Intro to Programming',1195,140,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (80,'Programming Techniques',1595,204,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (100,'Hands-On Windows',1195,20,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,'Intro to Java Programming',1195,80,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,'Intermediate Java Programming',1195,120,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,'Advanced Java Programming',1195,122,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (125,'Java Developer I',1195,122,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,'Intro to Unix',1195,310,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (132,'Basics of Unix Admin',1195,130,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,'Advanced Unix Admin',1195,132,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,'Unix Tips and Techniques',1095,134,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,'Systems Analysis',1195,20,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,'Project Management',1195,20,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,'Database Design',1195,420,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,'Internet Protocols',1195,310,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,'Java for C/C++ Programmers',1195,null,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,'GUI Design Lab',1195,20,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,'Intro to SQL',1195,20,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,'Oracle Tools',1195,220,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,'PL/SQL Programming',1195,80,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,'Intro to the Internet',1095,10,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,'Intro to the BASIC Language',1095,25,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (310,'Operating Systems',1195,null,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (330,'Network Administration',1195,130,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (350,'Java Developer II',1195,125,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (420,'Database System Principles',1195,25,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (430,'Java Developer III',1195,350,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.COURSE (COURSE_NO,DESCRIPTION,COST,PREREQUISITE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (450,'DB Programming with Java',null,350,'DSCHERER',to_date('29-MAR-07','DD-MON-RR'),'ARISCHER',to_date('05-APR-07','DD-MON-RR'));
REM INSERTING into ORACLEUSER.ENROLLMENT
SET DEFINE OFF;
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,to_date('30-JAN-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,89,to_date('30-JAN-07','DD-MON-RR'),92,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,to_date('30-JAN-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,to_date('30-JAN-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,to_date('30-JAN-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,99,to_date('30-JAN-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,101,to_date('30-JAN-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,to_date('30-JAN-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,to_date('30-JAN-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,99,to_date('30-JAN-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,101,to_date('30-JAN-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,95,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,95,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,156,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,156,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,130,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (118,90,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,103,to_date('02-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,103,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,83,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,116,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,95,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,141,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,107,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,112,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (136,89,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (137,89,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,126,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,152,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,95,to_date('04-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,85,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,152,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,123,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (150,89,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (151,89,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (152,89,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (158,84,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,85,to_date('07-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,130,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,104,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (163,92,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (164,89,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (165,156,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (169,150,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (170,156,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (173,150,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (173,156,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (174,156,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,141,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,116,to_date('10-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,116,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,119,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,116,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,138,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,146,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,116,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,107,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,116,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,119,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,116,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,141,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,108,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,109,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,108,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,84,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,to_date('11-FEB-07','DD-MON-RR'),null,'JAYCAF',to_date('03-NOV-07','DD-MON-RR'),'CBRENNAN',to_date('12-DEC-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,105,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,152,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,152,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,141,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,123,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,146,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,156,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,146,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,156,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (218,90,to_date('13-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,119,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,104,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,104,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,119,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (224,89,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (225,89,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,89,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,96,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,91,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,90,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,112,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (235,83,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (235,150,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,138,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,140,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,85,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,141,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,85,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,103,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,141,to_date('16-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,103,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,85,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (247,92,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,126,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,146,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,99,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,101,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,99,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,101,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (253,89,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,89,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (257,90,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,105,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,to_date('19-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,105,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,105,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,105,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,116,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (265,92,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (266,92,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,95,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,125,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,126,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,126,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,126,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (271,91,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (271,145,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (273,151,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (274,151,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,99,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,101,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,99,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,101,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,99,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,101,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,99,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,101,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,99,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,101,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,99,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,101,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,99,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,101,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,99,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.ENROLLMENT (STUDENT_ID,SECTION_ID,ENROLL_DATE,FINAL_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,101,to_date('21-FEB-07','DD-MON-RR'),null,'DSCHERER',to_date('14-DEC-07','DD-MON-RR'),'BROSENZW',to_date('05-JAN-07','DD-MON-RR'));
REM INSERTING into ORACLEUSER.GRADE
SET DEFINE OFF;
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'QZ',3,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'QZ',4,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'HM',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'PA',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'QZ',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,'QZ',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,123,'FI',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,123,'HM',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,123,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,123,'HM',3,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,123,'HM',4,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,123,'MT',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,123,'PA',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,123,'QZ',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,123,'QZ',2,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'HM',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'HM',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'QZ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'QZ',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'QZ',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,147,'QZ',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (150,89,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (150,89,'MT',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (151,89,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (151,89,'MT',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (152,89,'FI',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (152,89,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',5,72,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',6,72,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',7,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',8,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',9,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',10,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',11,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PA',12,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,144,'PJ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',3,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',4,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',5,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',6,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',7,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',8,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',9,78,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',10,78,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',11,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PA',12,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,88,'PJ',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'HM',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'PA',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'QZ',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,147,'QZ',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'FI',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'HM',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'HM',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'HM',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'HM',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'PA',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'QZ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'QZ',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'QZ',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,147,'QZ',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (158,84,'FI',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (158,84,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,85,'FI',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,85,'HM',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,85,'HM',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,85,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,85,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,85,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,85,'PA',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,85,'QZ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,85,'QZ',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,130,'FI',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,130,'HM',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,130,'HM',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,130,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,130,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,130,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,130,'PA',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,130,'QZ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,130,'QZ',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,104,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,104,'HM',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,104,'HM',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,104,'HM',3,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,104,'HM',4,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,104,'MT',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,104,'PA',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,104,'QZ',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,104,'QZ',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',5,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',6,71,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',7,71,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',8,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',9,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',10,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',11,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PA',12,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,133,'PJ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (163,92,'FI',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (163,92,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (164,89,'FI',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'HM',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'HM',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'QZ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'QZ',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'QZ',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,86,'QZ',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,89,'FI',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,89,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'FI',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'HM',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'HM',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'HM',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'HM',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'QZ',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'QZ',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'QZ',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,81,'QZ',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'FI',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'HM',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'HM',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'HM',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'HM',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'PA',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'QZ',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'QZ',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'QZ',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,81,'QZ',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',5,72,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',6,72,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',7,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',8,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',9,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',10,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',11,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PA',12,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,155,'PJ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,99,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,99,'HM',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,99,'HM',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,99,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,99,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,99,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,99,'PA',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,99,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,99,'QZ',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,101,'FI',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,101,'HM',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,101,'HM',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,101,'HM',3,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,101,'HM',4,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,101,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,101,'PA',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,101,'QZ',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,101,'QZ',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'HM',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'HM',5,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'HM',6,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'HM',7,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'HM',8,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'HM',9,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'HM',10,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,87,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'HM',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'PA',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'QZ',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,86,'QZ',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,99,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,99,'HM',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,99,'HM',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,99,'HM',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,99,'HM',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,99,'MT',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,99,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,99,'QZ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,99,'QZ',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,101,'FI',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,101,'HM',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,101,'HM',2,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,101,'HM',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,101,'HM',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,101,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,101,'PA',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,101,'QZ',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,101,'QZ',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,95,'FI',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,95,'HM',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,95,'HM',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,95,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,95,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,95,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,95,'PA',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,95,'QZ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,95,'QZ',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'HM',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'HM',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'HM',5,95,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'HM',6,95,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'HM',7,95,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'HM',8,95,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'HM',9,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'HM',10,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,154,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',5,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',6,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',7,70,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',8,70,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',9,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',10,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',11,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PA',12,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,133,'PJ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'HM',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'HM',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'QZ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'QZ',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'QZ',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,142,'QZ',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,95,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,95,'HM',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,95,'HM',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,95,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,95,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,95,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,95,'PA',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,95,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,95,'QZ',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'HM',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'HM',5,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'HM',6,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'HM',7,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'HM',8,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'HM',9,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'HM',10,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,154,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'HM',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'HM',5,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'HM',6,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'HM',7,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'HM',8,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'HM',9,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'HM',10,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,128,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,156,'FI',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,156,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'FI',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'HM',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'HM',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'HM',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'HM',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'HM',5,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'HM',6,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'HM',7,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'HM',8,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'HM',9,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'HM',10,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,128,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,156,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,156,'MT',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'HM',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'HM',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'HM',3,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'HM',4,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'MT',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'PA',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'QZ',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'QZ',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'QZ',3,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,94,'QZ',4,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,130,'FI',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,130,'HM',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,130,'HM',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,130,'HM',3,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,130,'HM',4,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,130,'MT',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,130,'PA',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,130,'QZ',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,130,'QZ',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (118,90,'FI',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (118,90,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,103,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,103,'HM',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,103,'HM',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,103,'HM',3,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,103,'HM',4,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,103,'MT',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,103,'PA',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,103,'QZ',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,103,'QZ',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,103,'FI',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,103,'HM',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,103,'HM',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,103,'HM',3,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,103,'HM',4,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,103,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,103,'PA',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,103,'QZ',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,103,'QZ',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'FI',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'HM',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'HM',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'HM',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'HM',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'HM',5,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'HM',6,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'HM',7,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'HM',8,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'HM',9,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'HM',10,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,87,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'FI',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'HM',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'HM',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'HM',3,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'HM',4,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'HM',5,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'HM',6,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'HM',7,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'HM',8,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'HM',9,78,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'HM',10,78,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,87,'MT',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'FI',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'HM',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'HM',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'HM',3,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'HM',4,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'HM',5,89,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'HM',6,89,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'HM',7,89,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'HM',8,79,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'HM',9,79,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'HM',10,89,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,87,'MT',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,83,'FI',1,99,null,'ARISCHER',to_date('09-AUG-07','DD-MON-RR'),'ARISCHER',to_date('10-AUG-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'FI',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'HM',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'HM',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'HM',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'HM',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'HM',5,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'HM',6,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'HM',7,70,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'HM',8,70,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'HM',9,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'HM',10,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,87,'MT',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,116,'FI',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,116,'HM',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,116,'HM',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,116,'HM',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,116,'HM',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,116,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,116,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,116,'QZ',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,116,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'HM',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'HM',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'HM',3,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'HM',4,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'HM',5,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'HM',6,94,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'HM',7,94,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'HM',8,94,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'HM',9,94,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'HM',10,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,148,'MT',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,95,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,95,'HM',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,95,'HM',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,95,'HM',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,95,'HM',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,95,'MT',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,95,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,95,'QZ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,95,'QZ',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',2,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',3,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',4,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',5,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',6,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',7,93,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',8,93,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',9,93,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',10,93,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',11,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PA',12,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,155,'PJ',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'FI',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'HM',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'HM',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'HM',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'HM',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'QZ',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'QZ',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'QZ',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,80,'QZ',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'HM',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'PA',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'QZ',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,113,'QZ',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'FI',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'HM',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'HM',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'HM',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'HM',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'MT',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'PA',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'QZ',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'QZ',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'QZ',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,106,'QZ',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,141,'FI',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,141,'HM',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,141,'HM',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,141,'HM',3,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,141,'HM',4,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,141,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,141,'PA',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,141,'QZ',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,141,'QZ',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,107,'FI',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,107,'HM',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,107,'HM',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,107,'HM',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,107,'HM',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,107,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,107,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,107,'QZ',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,107,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'HM',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'PA',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'QZ',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,131,'QZ',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'FI',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'HM',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'HM',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'HM',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'HM',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'PA',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'QZ',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'QZ',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'QZ',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,102,'QZ',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,112,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,112,'HM',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,112,'HM',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,112,'HM',3,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,112,'HM',4,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,112,'MT',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,112,'PA',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,112,'QZ',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,112,'QZ',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (136,89,'FI',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (136,89,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (137,89,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (137,89,'MT',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,126,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,126,'HM',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,126,'HM',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,126,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,126,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,126,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,126,'PA',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,126,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,126,'QZ',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,152,'FI',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,152,'HM',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,152,'HM',2,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,152,'HM',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,152,'HM',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,152,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,152,'PA',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,152,'QZ',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,152,'QZ',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,95,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,95,'HM',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,95,'HM',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,95,'HM',3,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,95,'HM',4,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,95,'MT',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,95,'PA',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,95,'QZ',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,95,'QZ',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'HM',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'HM',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'QZ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'QZ',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'QZ',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,94,'QZ',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'HM',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'HM',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'HM',3,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'HM',4,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'MT',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'PA',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'QZ',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'QZ',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'QZ',3,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,'QZ',4,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'FI',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'HM',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'HM',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'HM',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'HM',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'HM',5,72,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'HM',6,72,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'HM',7,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'HM',8,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'HM',9,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'HM',10,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,143,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,85,'FI',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,85,'HM',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,85,'HM',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,85,'HM',3,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,85,'HM',4,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,85,'MT',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,85,'PA',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,85,'QZ',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,85,'QZ',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,152,'FI',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,152,'HM',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,152,'HM',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,152,'HM',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,152,'HM',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,152,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,152,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,152,'QZ',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,152,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'FI',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'HM',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'HM',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'HM',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'HM',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'QZ',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'QZ',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'QZ',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,106,'QZ',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'HM',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'HM',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'HM',3,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'HM',4,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'MT',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'PA',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'QZ',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'QZ',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'QZ',3,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,147,'QZ',4,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'FI',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'HM',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'HM',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'HM',3,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'HM',4,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'MT',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'PA',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'QZ',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,117,'QZ',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,85,'QZ',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,85,'QZ',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,141,'FI',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,141,'HM',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,141,'HM',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,141,'HM',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,141,'HM',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,141,'MT',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,141,'PA',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,141,'QZ',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,141,'QZ',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,85,'FI',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,85,'HM',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,85,'HM',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,85,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,85,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,85,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,85,'PA',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,85,'QZ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,85,'QZ',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,103,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,103,'HM',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,103,'HM',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,103,'HM',3,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,103,'HM',4,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,103,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,103,'PA',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,103,'QZ',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,103,'QZ',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,141,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,141,'HM',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,141,'HM',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,141,'HM',3,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,141,'HM',4,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,141,'MT',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,141,'PA',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,141,'QZ',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,141,'QZ',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'FI',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'HM',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'HM',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'HM',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'HM',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'PA',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'QZ',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'QZ',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'QZ',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,81,'QZ',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',3,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',4,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',5,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',6,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',7,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',8,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',9,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',10,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',11,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PA',12,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,155,'PJ',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'HM',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'HM',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'HM',3,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'HM',4,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'HM',5,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'HM',6,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'HM',7,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'HM',8,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'HM',9,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'HM',10,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,148,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,103,'FI',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,103,'HM',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,103,'HM',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,103,'HM',3,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,103,'HM',4,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,103,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,103,'PA',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,103,'QZ',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,103,'QZ',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',3,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',4,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',5,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',6,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',7,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',8,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',9,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',10,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',11,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PA',12,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,82,'PJ',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',5,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',6,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',7,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',8,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',9,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',10,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',11,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PA',12,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,82,'PJ',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,85,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,85,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,85,'HM',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,85,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,85,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,85,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,85,'PA',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,85,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,85,'QZ',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (247,92,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (247,92,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'HM',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'HM',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'HM',5,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'HM',6,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'HM',7,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'HM',8,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'HM',9,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'HM',10,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,148,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',3,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',4,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',5,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',6,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',7,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',8,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',9,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',10,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',11,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PA',12,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,155,'PJ',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,126,'FI',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,126,'HM',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,126,'HM',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,126,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,126,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,126,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,126,'PA',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,126,'QZ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,126,'QZ',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,146,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,146,'HM',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,146,'HM',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,146,'HM',3,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,146,'HM',4,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,146,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,146,'PA',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,146,'QZ',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,146,'QZ',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'HM',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'HM',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'HM',5,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'HM',6,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'HM',7,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'HM',8,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'HM',9,78,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'HM',10,78,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,154,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,99,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,99,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,99,'HM',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,99,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,99,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,99,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,99,'PA',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,99,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,99,'QZ',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,101,'FI',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,101,'HM',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,101,'HM',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,101,'HM',3,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,101,'HM',4,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,101,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,101,'PA',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,101,'QZ',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,101,'QZ',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,99,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,99,'HM',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,99,'HM',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,99,'HM',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,99,'HM',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,99,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,99,'PA',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,99,'QZ',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,99,'QZ',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,101,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,101,'HM',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,101,'HM',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,101,'HM',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,101,'HM',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,101,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,101,'PA',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,101,'QZ',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,101,'QZ',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (253,89,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (253,89,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'FI',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'HM',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'HM',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'HM',3,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'HM',4,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'HM',5,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'HM',6,71,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'HM',7,71,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'HM',8,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'HM',9,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'HM',10,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,87,'MT',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'HM',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'HM',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'HM',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'HM',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'HM',5,72,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'HM',6,72,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'HM',7,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'HM',8,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'HM',9,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'HM',10,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,87,'MT',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,89,'FI',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,89,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (257,90,'FI',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (257,90,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'FI',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'HM',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'HM',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'HM',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'HM',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'PA',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'QZ',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'QZ',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'QZ',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,106,'QZ',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,105,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,105,'HM',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,105,'HM',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,105,'HM',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (164,89,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (165,156,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (165,156,'MT',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',3,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',4,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',5,89,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',6,89,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',7,89,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',8,79,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',9,79,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',10,89,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',11,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PA',12,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,88,'PJ',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',5,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',6,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',7,70,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',8,70,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',9,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',10,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',11,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PA',12,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,88,'PJ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',5,72,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',6,72,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',7,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',8,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',9,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',10,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',11,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PA',12,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,133,'PJ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (169,150,'FI',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (169,150,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (170,156,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (170,156,'MT',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'FI',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'HM',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'HM',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'HM',3,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'HM',4,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'MT',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'PA',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'QZ',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'QZ',2,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'QZ',3,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,127,'QZ',4,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',3,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',4,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',5,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',6,94,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',7,94,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',8,94,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',9,94,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',10,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',11,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PA',12,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,155,'PJ',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (173,150,'FI',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (173,150,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (173,156,'FI',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (173,156,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (174,156,'FI',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (174,156,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,141,'FI',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,141,'HM',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,141,'HM',2,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,141,'HM',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,141,'HM',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,141,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,141,'PA',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,141,'QZ',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,141,'QZ',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',5,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',6,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',7,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',8,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',9,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',10,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',11,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PA',12,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,115,'PJ',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'HM',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'HM',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'HM',5,95,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'HM',6,95,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'HM',7,95,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'HM',8,95,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'HM',9,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'HM',10,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,132,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'FI',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'HM',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'HM',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'HM',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'HM',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'PA',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'QZ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'QZ',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'QZ',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,120,'QZ',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'HM',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'PA',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'QZ',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,135,'QZ',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,116,'FI',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,116,'HM',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,116,'HM',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,116,'HM',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,116,'HM',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,116,'MT',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,116,'PA',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,116,'QZ',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,116,'QZ',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,116,'FI',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,116,'HM',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,116,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,116,'HM',3,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,116,'HM',4,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,116,'MT',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,116,'PA',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,116,'QZ',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,116,'QZ',2,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,119,'FI',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,119,'HM',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,119,'HM',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,119,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,119,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,119,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,119,'PA',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,119,'QZ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,119,'QZ',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'FI',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'HM',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'HM',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'HM',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'HM',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'MT',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'PA',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'QZ',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'QZ',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'QZ',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,117,'QZ',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'FI',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'HM',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'HM',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'HM',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'HM',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'QZ',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'QZ',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'QZ',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,117,'QZ',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,116,'FI',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,116,'HM',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,116,'HM',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,116,'HM',3,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,116,'HM',4,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,116,'MT',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,116,'PA',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,116,'QZ',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,116,'QZ',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,138,'FI',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,138,'HM',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,138,'HM',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,138,'HM',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,138,'HM',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,138,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,138,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,138,'QZ',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,138,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,146,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,146,'HM',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,146,'HM',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,146,'HM',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,146,'HM',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,146,'MT',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,146,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,146,'QZ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,146,'QZ',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,116,'FI',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,116,'HM',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,116,'HM',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,116,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,116,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,116,'MT',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,116,'PA',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,116,'QZ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,116,'QZ',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,107,'FI',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,107,'HM',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,107,'HM',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,107,'HM',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,107,'HM',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,107,'MT',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,107,'PA',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,107,'QZ',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,107,'QZ',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'FI',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'HM',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'HM',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'HM',3,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'HM',4,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'MT',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'PA',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'QZ',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'QZ',2,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'QZ',3,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,120,'QZ',4,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'FI',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'HM',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'HM',2,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'HM',3,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'HM',4,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'PA',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'QZ',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'QZ',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'QZ',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,117,'QZ',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,116,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,116,'HM',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,116,'HM',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,116,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,116,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,116,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,116,'PA',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,116,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,116,'QZ',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',3,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',4,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',5,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',6,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',7,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',8,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',9,78,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',10,78,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',11,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PA',12,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,137,'PJ',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'FI',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'HM',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'HM',2,87,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'HM',3,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'HM',4,80,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'MT',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'PA',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'QZ',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'QZ',2,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'QZ',3,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,117,'QZ',4,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'HM',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'HM',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'HM',3,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'HM',4,81,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'MT',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'PA',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'QZ',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'QZ',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'QZ',3,86,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,117,'QZ',4,96,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'HM',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'HM',2,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'HM',3,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'HM',4,82,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'MT',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'QZ',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'QZ',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'QZ',3,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,117,'QZ',4,97,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,119,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,119,'HM',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,119,'HM',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,119,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,119,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,119,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,119,'PA',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,119,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,119,'QZ',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,116,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,116,'HM',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,116,'HM',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,116,'HM',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,116,'HM',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,116,'MT',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,116,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,116,'QZ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,116,'QZ',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,141,'FI',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,141,'HM',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,141,'HM',2,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,141,'HM',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,141,'HM',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,141,'MT',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,141,'PA',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,141,'QZ',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,141,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,108,'FI',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,108,'HM',1,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,108,'HM',2,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,108,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,108,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,108,'MT',1,77,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,108,'PA',1,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,108,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,108,'QZ',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,109,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,109,'HM',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,109,'HM',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,109,'HM',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,109,'HM',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,109,'MT',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,109,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,109,'QZ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,109,'QZ',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,108,'FI',1,85,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,108,'HM',1,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,108,'HM',2,84,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,108,'HM',3,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,108,'HM',4,74,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,108,'MT',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,108,'PA',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,108,'QZ',1,92,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,108,'QZ',2,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,84,'FI',1,99,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,84,'MT',1,88,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'FI',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'HM',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'HM',2,90,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'HM',3,83,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'HM',4,73,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'MT',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'PA',1,76,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'QZ',1,91,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'QZ',2,75,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'QZ',3,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,142,'QZ',4,98,null,'CBRENNAN',to_date('11-FEB-07','DD-MON-RR'),'JAYCAF',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'HM',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'HM',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'HM',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'HM',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'MT',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'PA',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'QZ',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'QZ',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'QZ',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,106,'QZ',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',5,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',6,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',7,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',8,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',9,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',10,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',11,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PA',12,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,144,'PJ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'FI',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'HM',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'HM',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'HM',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'HM',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'HM',5,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'HM',6,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'HM',7,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'HM',8,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'HM',9,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'HM',10,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,143,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,105,'FI',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,105,'HM',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,105,'HM',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,105,'HM',3,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,105,'HM',4,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,105,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,105,'PA',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,105,'QZ',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,105,'QZ',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'HM',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'HM',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'HM',3,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'HM',4,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'HM',5,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'HM',6,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'HM',7,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'HM',8,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'HM',9,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'HM',10,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,132,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',3,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',4,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',5,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',6,71,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',7,71,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',8,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',9,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',10,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',11,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PA',12,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,88,'PJ',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',5,72,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',6,72,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',7,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',8,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',9,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',10,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',11,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PA',12,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,88,'PJ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,152,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,152,'HM',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,152,'HM',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,152,'HM',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,152,'HM',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,152,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,152,'PA',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,152,'QZ',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,152,'QZ',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,152,'FI',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,152,'HM',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,152,'HM',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,152,'HM',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,152,'HM',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,152,'MT',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,152,'PA',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,152,'QZ',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,152,'QZ',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'HM',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'HM',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'PA',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'QZ',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'QZ',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,147,'QZ',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'FI',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'HM',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'HM',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'HM',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'HM',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'MT',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'PA',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'QZ',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'QZ',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'QZ',3,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,147,'QZ',4,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'HM',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'HM',3,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'HM',4,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'MT',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'PA',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'QZ',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'QZ',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'QZ',3,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,147,'QZ',4,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'HM',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'HM',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'PA',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'QZ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'QZ',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'QZ',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,86,'QZ',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,141,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,141,'HM',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,141,'HM',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,141,'HM',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,141,'HM',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,141,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,141,'PA',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,141,'QZ',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,141,'QZ',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'HM',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'HM',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'PA',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'QZ',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'QZ',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,86,'QZ',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,123,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,123,'HM',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,123,'HM',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,123,'HM',3,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,123,'HM',4,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,123,'MT',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,123,'PA',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,123,'QZ',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,123,'QZ',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'HM',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'HM',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'PA',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'QZ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'QZ',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'QZ',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,135,'QZ',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,146,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,146,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,146,'HM',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,146,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,146,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,146,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,146,'PA',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,146,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,146,'QZ',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,156,'FI',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,156,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'HM',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'HM',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'PA',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'QZ',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'QZ',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,135,'QZ',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,146,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,146,'HM',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,146,'HM',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,146,'HM',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,146,'HM',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,146,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,146,'PA',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,146,'QZ',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,146,'QZ',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,156,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,156,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'HM',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'HM',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'HM',5,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'HM',6,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'HM',7,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'HM',8,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'HM',9,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'HM',10,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,154,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'FI',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'HM',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'HM',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'HM',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'HM',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'MT',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'PA',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'QZ',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'QZ',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'QZ',3,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,86,'QZ',4,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (218,90,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (218,90,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,119,'FI',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,119,'HM',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,119,'HM',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,119,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,119,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,119,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,119,'PA',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,119,'QZ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,119,'QZ',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,104,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,104,'HM',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,104,'HM',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,104,'HM',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,104,'HM',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,104,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,104,'PA',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,104,'QZ',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,104,'QZ',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,104,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,104,'HM',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,104,'HM',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,104,'HM',3,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,104,'HM',4,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,104,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,104,'PA',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,104,'QZ',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,104,'QZ',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,119,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,119,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,119,'HM',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,119,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,119,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,119,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,119,'PA',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,119,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,119,'QZ',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (224,89,'FI',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (224,89,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (225,89,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (225,89,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,89,'FI',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,89,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,96,'FI',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,96,'HM',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,96,'HM',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,96,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,96,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,96,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,96,'PA',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,96,'QZ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,96,'QZ',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'FI',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'HM',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'HM',3,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'HM',4,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'HM',5,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'HM',6,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'HM',7,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'HM',8,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'HM',9,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'HM',10,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,148,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'FI',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'HM',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'HM',3,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'HM',4,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'HM',5,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'HM',6,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'HM',7,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'HM',8,95,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'HM',9,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'HM',10,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,111,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'HM',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'HM',3,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'HM',4,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'MT',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'PA',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'QZ',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'QZ',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'QZ',3,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,86,'QZ',4,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,91,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,91,'MT',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'FI',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'HM',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'HM',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'HM',3,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'HM',4,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'MT',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'PA',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'QZ',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'QZ',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'QZ',3,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,147,'QZ',4,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',5,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',6,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',7,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',8,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',9,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',10,93,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',11,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PA',12,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,149,'PJ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,90,'FI',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,90,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,112,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,112,'HM',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,112,'HM',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,112,'HM',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,112,'HM',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,112,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,112,'PA',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,112,'QZ',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,112,'QZ',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',5,89,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',6,89,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',7,89,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',8,79,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',9,79,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',10,89,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',11,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PA',12,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,137,'PJ',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (235,83,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (235,83,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (235,150,'FI',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (235,150,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,138,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,138,'HM',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,138,'HM',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,138,'HM',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,138,'HM',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,138,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,138,'PA',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,138,'QZ',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,138,'QZ',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,140,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,140,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,140,'HM',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,140,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,140,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,140,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,140,'PA',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,140,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,140,'QZ',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,85,'FI',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,85,'HM',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,85,'HM',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,85,'HM',3,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,85,'HM',4,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,85,'MT',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,85,'PA',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,99,'FI',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,99,'HM',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,99,'HM',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,99,'HM',3,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,99,'HM',4,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,99,'MT',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,99,'PA',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,99,'QZ',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,99,'QZ',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,101,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,101,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,101,'HM',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,101,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,101,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,101,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,101,'PA',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,101,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,101,'QZ',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,99,'FI',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,99,'HM',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,99,'HM',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,99,'HM',3,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,99,'HM',4,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,99,'MT',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,99,'PA',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,99,'QZ',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,99,'QZ',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,101,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,101,'HM',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,101,'HM',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,101,'HM',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,101,'HM',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,101,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,101,'PA',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,101,'QZ',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,101,'QZ',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,99,'FI',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,99,'HM',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,99,'HM',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,99,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,99,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,99,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,99,'PA',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,99,'QZ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,99,'QZ',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,101,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,101,'HM',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,101,'HM',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,101,'HM',3,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,101,'HM',4,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,101,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,101,'PA',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,101,'QZ',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,101,'QZ',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,105,'HM',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,105,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,105,'PA',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,105,'QZ',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,105,'QZ',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'FI',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'HM',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'HM',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'HM',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'HM',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'MT',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'PA',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'QZ',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'QZ',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'QZ',3,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,135,'QZ',4,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,105,'FI',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,105,'HM',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,105,'HM',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,105,'HM',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,105,'HM',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,105,'MT',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,105,'PA',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,105,'QZ',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,105,'QZ',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'HM',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'HM',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'HM',5,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'HM',6,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'HM',7,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'HM',8,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'HM',9,78,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'HM',10,78,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,148,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,105,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,105,'HM',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,105,'HM',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,105,'HM',3,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,105,'HM',4,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,105,'MT',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,105,'PA',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,105,'QZ',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,105,'QZ',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'FI',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'HM',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'HM',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'HM',3,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'HM',4,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'PA',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'QZ',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'QZ',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'QZ',3,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,100,'QZ',4,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,105,'FI',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,105,'HM',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,105,'HM',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,105,'HM',3,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,105,'HM',4,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,105,'MT',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,105,'PA',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,105,'QZ',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,105,'QZ',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,116,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,116,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,116,'HM',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,116,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,116,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,116,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,116,'PA',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,116,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,116,'QZ',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (265,92,'FI',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (265,92,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (266,92,'FI',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (266,92,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,95,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,95,'HM',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,95,'HM',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,95,'HM',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,95,'HM',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,95,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,95,'PA',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,95,'QZ',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,95,'QZ',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,125,'FI',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,125,'HM',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,125,'HM',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,125,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,125,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,125,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,125,'PA',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,125,'QZ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,125,'QZ',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,126,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,126,'HM',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,126,'HM',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,126,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,126,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,126,'MT',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,126,'PA',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,126,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,126,'QZ',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,126,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,126,'HM',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,126,'HM',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,126,'HM',3,86,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,126,'HM',4,96,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,126,'MT',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,126,'PA',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,126,'QZ',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,126,'QZ',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,126,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,126,'HM',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,126,'HM',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,126,'HM',3,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,126,'HM',4,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,126,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,126,'PA',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,126,'QZ',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,126,'QZ',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'FI',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'HM',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'HM',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'HM',3,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'HM',4,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'PA',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'QZ',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'QZ',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'QZ',3,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,153,'QZ',4,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (271,91,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (271,91,'MT',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (271,145,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (271,145,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'FI',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'HM',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'HM',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'PA',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'QZ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'QZ',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'QZ',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,153,'QZ',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (273,151,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (273,151,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (274,151,'FI',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (274,151,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'HM',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'HM',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'HM',3,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'HM',4,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'PA',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'QZ',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'QZ',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'QZ',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,153,'QZ',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,99,'FI',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,99,'HM',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,99,'HM',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,99,'HM',3,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,99,'HM',4,97,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,99,'MT',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,99,'PA',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,99,'QZ',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,99,'QZ',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,101,'FI',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,101,'HM',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,101,'HM',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,101,'HM',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,101,'HM',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,101,'MT',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,101,'PA',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,101,'QZ',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,101,'QZ',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,99,'FI',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,99,'HM',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,99,'HM',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,99,'HM',3,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,99,'HM',4,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,99,'MT',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,99,'PA',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,99,'QZ',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,99,'QZ',2,75,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,101,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,101,'HM',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,101,'HM',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,101,'HM',3,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,101,'HM',4,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,101,'MT',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,101,'PA',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,101,'QZ',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,101,'QZ',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,99,'FI',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,99,'HM',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,99,'HM',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,99,'HM',3,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,99,'HM',4,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,99,'MT',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,99,'PA',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,99,'QZ',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,99,'QZ',2,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,101,'FI',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,101,'HM',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,101,'HM',2,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,101,'HM',3,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,101,'HM',4,82,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,101,'MT',1,76,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,101,'PA',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,101,'QZ',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,101,'QZ',2,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,99,'FI',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,99,'HM',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,99,'HM',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,99,'HM',3,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,99,'HM',4,80,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,99,'MT',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,99,'PA',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,99,'QZ',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,99,'QZ',2,87,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,101,'FI',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,101,'HM',1,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,101,'HM',2,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,101,'HM',3,83,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,101,'HM',4,73,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,101,'MT',1,77,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,101,'PA',1,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,101,'QZ',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,101,'QZ',2,90,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,99,'FI',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,99,'HM',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,99,'HM',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,99,'HM',3,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,99,'HM',4,81,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,99,'MT',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,99,'PA',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,99,'QZ',1,99,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,99,'QZ',2,98,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,101,'FI',1,85,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,101,'HM',1,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,101,'HM',2,84,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,101,'HM',3,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,101,'HM',4,74,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,101,'MT',1,88,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,101,'PA',1,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,101,'QZ',1,92,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE (STUDENT_ID,SECTION_ID,GRADE_TYPE_CODE,GRADE_CODE_OCCURRENCE,NUMERIC_GRADE,COMMENTS,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,101,'QZ',2,91,null,'BROSENZW',to_date('23-MAR-07','DD-MON-RR'),'DSCHERER',to_date('23-MAR-07','DD-MON-RR'));
REM INSERTING into ORACLEUSER.GRADE_CONVERSION
SET DEFINE OFF;
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('A ',4,96,93,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('A+',4.3,100,97,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('A-',3.7,92,90,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('AU',0,1,1,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('B ',3,86,83,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('B+',3.3,89,87,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('B-',2.7,82,80,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('C ',2,76,73,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('C+',2.3,79,77,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('C-',1.7,72,70,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('D ',1,66,63,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('D+',1.3,69,67,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('D-',0.7,62,60,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('F ',0,59,2,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_CONVERSION (LETTER_GRADE,GRADE_POINT,MAX_GRADE,MIN_GRADE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('IN',0,0,0,'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'),'BMOTIVAL',to_date('01-JAN-93','DD-MON-RR'));
REM INSERTING into ORACLEUSER.GRADE_TYPE
SET DEFINE OFF;
Insert into ORACLEUSER.GRADE_TYPE (GRADE_TYPE_CODE,DESCRIPTION,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('FI','Final','MCAFFREY',to_date('31-DEC-98','DD-MON-RR'),'MCAFFREY',to_date('31-DEC-98','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE (GRADE_TYPE_CODE,DESCRIPTION,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('HM','Homework','MCAFFREY',to_date('31-DEC-98','DD-MON-RR'),'MCAFFREY',to_date('31-DEC-98','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE (GRADE_TYPE_CODE,DESCRIPTION,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('MT','Midterm','MCAFFREY',to_date('31-DEC-98','DD-MON-RR'),'MCAFFREY',to_date('31-DEC-98','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE (GRADE_TYPE_CODE,DESCRIPTION,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('PA','Participation','MCAFFREY',to_date('31-DEC-98','DD-MON-RR'),'MCAFFREY',to_date('31-DEC-98','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE (GRADE_TYPE_CODE,DESCRIPTION,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('PJ','Project','MCAFFREY',to_date('31-DEC-98','DD-MON-RR'),'MCAFFREY',to_date('31-DEC-98','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE (GRADE_TYPE_CODE,DESCRIPTION,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('QZ','Quiz','MCAFFREY',to_date('31-DEC-98','DD-MON-RR'),'MCAFFREY',to_date('31-DEC-98','DD-MON-RR'));
REM INSERTING into ORACLEUSER.GRADE_TYPE_WEIGHT
SET DEFINE OFF;
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (79,'FI',1,25,'N','CBRENNAN',to_date('04-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (79,'HM',10,50,'Y','CBRENNAN',to_date('04-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (79,'MT',1,25,'N','CBRENNAN',to_date('04-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('05-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (80,'FI',1,30,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (80,'HM',4,20,'Y','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (80,'MT',1,20,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (80,'PA',1,10,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (80,'QZ',4,20,'Y','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (81,'FI',1,30,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (81,'HM',4,20,'Y','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (81,'MT',1,20,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (81,'PA',1,10,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (81,'QZ',4,20,'Y','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (82,'PA',12,25,'Y','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (82,'PJ',1,75,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (83,'FI',1,60,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (83,'HM',1,10,'Y','ALICE',to_date('07-AUG-07','DD-MON-RR'),'ALICE',to_date('07-AUG-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (83,'MT',1,40,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (84,'FI',1,60,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (84,'MT',1,40,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (85,'FI',1,50,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (85,'HM',4,10,'Y','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (85,'MT',1,25,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (85,'PA',1,5,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (85,'QZ',2,10,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (86,'FI',1,30,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (86,'HM',4,20,'Y','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (86,'MT',1,20,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (86,'PA',1,10,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (86,'QZ',4,20,'Y','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (87,'FI',1,25,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (87,'HM',10,50,'Y','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (87,'MT',1,25,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (88,'PA',12,25,'Y','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (88,'PJ',1,75,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (89,'FI',1,60,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (89,'MT',1,40,'N','CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('03-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (90,'FI',1,60,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (90,'MT',1,40,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (91,'FI',1,60,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (91,'MT',1,40,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (92,'FI',1,60,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (92,'MT',1,40,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (93,'FI',1,60,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (93,'MT',1,40,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (94,'FI',1,30,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (94,'HM',4,20,'Y','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (94,'MT',1,20,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (94,'PA',1,10,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (94,'QZ',4,20,'Y','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (95,'FI',1,50,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (95,'HM',4,10,'Y','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (95,'MT',1,25,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (95,'PA',1,5,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (95,'QZ',2,10,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (96,'FI',1,50,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (96,'HM',4,10,'Y','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (96,'MT',1,25,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (96,'PA',1,5,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (96,'QZ',2,10,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (97,'FI',1,50,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (97,'HM',4,10,'Y','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (97,'MT',1,25,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (97,'PA',1,5,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (97,'QZ',2,10,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (98,'FI',1,50,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (98,'HM',4,10,'Y','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (98,'MT',1,25,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (98,'PA',1,5,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (98,'QZ',2,10,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (99,'FI',1,50,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (99,'HM',4,10,'Y','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (99,'MT',1,25,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (99,'PA',1,5,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (99,'QZ',2,10,'N','CBRENNAN',to_date('07-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('06-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (100,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (100,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (100,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (100,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (100,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (101,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (101,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (101,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (101,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (101,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (115,'PA',12,25,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (115,'PJ',1,75,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (116,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (116,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (116,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (116,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (116,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (118,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (118,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (118,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (125,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (125,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (125,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (125,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (125,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (126,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (126,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (126,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (126,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (126,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,'PA',12,25,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,'PJ',1,75,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (131,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (131,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (131,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (131,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (131,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (132,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (132,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (132,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,'PA',12,25,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,'PJ',1,75,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,'FI',1,60,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,'MT',1,40,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (136,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (136,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (136,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (137,'PA',12,25,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (137,'PJ',1,75,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,'PA',12,25,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,'PJ',1,75,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,'FI',1,60,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,'MT',1,40,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,'PA',12,25,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,'PJ',1,75,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (150,'FI',1,60,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (150,'MT',1,40,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (151,'FI',1,60,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (151,'MT',1,40,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (152,'FI',1,50,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (152,'HM',4,10,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (152,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (152,'PA',1,5,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (152,'QZ',2,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,'FI',1,30,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,'HM',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,'MT',1,20,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,'PA',1,10,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,'QZ',4,20,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,'FI',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,'HM',10,50,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,'MT',1,25,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (155,'PA',12,25,'Y','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (155,'PJ',1,75,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,'FI',1,60,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
Insert into ORACLEUSER.GRADE_TYPE_WEIGHT (SECTION_ID,GRADE_TYPE_CODE,NUMBER_PER_SECTION,PERCENT_OF_FINAL_GRADE,DROP_LOWEST,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,'MT',1,40,'N','CBRENNAN',to_date('09-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-APR-07','DD-MON-RR'));
REM INSERTING into ORACLEUSER.INSTRUCTOR
SET DEFINE OFF;
Insert into ORACLEUSER.INSTRUCTOR (INSTRUCTOR_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (101,'Mr','Fernand','Hanks','100 East 87th','10015','2125551212','ESILVEST',to_date('02-JAN-07','DD-MON-RR'),'ESILVEST',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.INSTRUCTOR (INSTRUCTOR_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,'Mr','Tom','Wojick','518 West 120th','10025','2125551212','ESILVEST',to_date('02-JAN-07','DD-MON-RR'),'ESILVEST',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.INSTRUCTOR (INSTRUCTOR_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,'Ms','Nina','Schorin','210 West 101st','10025','2125551212','ESILVEST',to_date('02-JAN-07','DD-MON-RR'),'ESILVEST',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.INSTRUCTOR (INSTRUCTOR_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,'Mr','Gary','Pertez','34 Sixth Ave','10035','2125551212','ESILVEST',to_date('02-JAN-07','DD-MON-RR'),'ESILVEST',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.INSTRUCTOR (INSTRUCTOR_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,'Ms','Anita','Morris','34 Maiden Lane','10015','2125551212','ESILVEST',to_date('02-JAN-07','DD-MON-RR'),'ESILVEST',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.INSTRUCTOR (INSTRUCTOR_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,'Rev','Todd','Smythe','210 West 101st','10025','2125551212','ESILVEST',to_date('02-JAN-07','DD-MON-RR'),'ESILVEST',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.INSTRUCTOR (INSTRUCTOR_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,'Dr','Marilyn','Frantzen','254 Bleeker','10005','2125551212','ESILVEST',to_date('02-JAN-07','DD-MON-RR'),'ESILVEST',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.INSTRUCTOR (INSTRUCTOR_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,'Mr','Charles','Lowry','518 West 120th','10025','2125551212','ESILVEST',to_date('02-JAN-07','DD-MON-RR'),'ESILVEST',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.INSTRUCTOR (INSTRUCTOR_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,'Hon','Rick','Chow','56 10th Avenue','10015','2125551212','ESILVEST',to_date('02-JAN-07','DD-MON-RR'),'ESILVEST',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.INSTRUCTOR (INSTRUCTOR_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,'Ms','Irene','Willig','415 West 101st',null,'2125551212','ARISCHER',to_date('11-MAR-07','DD-MON-RR'),'ARISCHER',to_date('11-MAR-07','DD-MON-RR'));
REM INSERTING into ORACLEUSER.SECTION
SET DEFINE OFF;
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (79,350,3,to_date('14-APR-07','DD-MON-RR'),'L509',107,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (80,10,2,to_date('24-APR-07','DD-MON-RR'),'L214',102,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (81,20,2,to_date('24-JUL-07','DD-MON-RR'),'L210',103,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (82,20,4,to_date('03-MAY-07','DD-MON-RR'),'L214',104,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (83,20,7,to_date('11-JUN-07','DD-MON-RR'),'L509',105,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (84,20,8,to_date('11-JUN-07','DD-MON-RR'),'L210',106,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (85,25,1,to_date('14-JUL-07','DD-MON-RR'),'M311',107,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (86,25,2,to_date('10-JUN-07','DD-MON-RR'),'L210',108,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (87,25,3,to_date('14-APR-07','DD-MON-RR'),'L507',101,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (88,25,4,to_date('04-MAY-07','DD-MON-RR'),'L214',102,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (89,25,5,to_date('15-MAY-07','DD-MON-RR'),'L509',103,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (90,25,6,to_date('12-JUN-07','DD-MON-RR'),'L509',104,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (91,25,7,to_date('12-JUN-07','DD-MON-RR'),'L210',105,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (92,25,8,to_date('13-JUN-07','DD-MON-RR'),'L509',106,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (93,25,9,to_date('13-JUN-07','DD-MON-RR'),'L507',107,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (94,146,2,to_date('24-JUL-07','DD-MON-RR'),'L507',102,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (95,147,1,to_date('14-APR-07','DD-MON-RR'),'L509',103,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (96,204,1,to_date('14-APR-07','DD-MON-RR'),'L210',104,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (97,210,1,to_date('07-MAY-07','DD-MON-RR'),'L507',105,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (98,220,1,to_date('15-APR-07','DD-MON-RR'),'L509',106,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (99,230,1,to_date('07-MAY-07','DD-MON-RR'),'L500',107,12,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (100,230,2,to_date('09-JUN-07','DD-MON-RR'),'L214',108,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (101,240,1,to_date('16-APR-07','DD-MON-RR'),'L509',101,10,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,240,2,to_date('24-MAY-07','DD-MON-RR'),'L214',102,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,310,1,to_date('29-APR-07','DD-MON-RR'),'L507',103,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,330,1,to_date('14-JUL-07','DD-MON-RR'),'L511',104,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,350,1,to_date('09-MAY-07','DD-MON-RR'),'L509',105,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,350,2,to_date('03-JUN-07','DD-MON-RR'),'L214',106,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,130,1,to_date('14-JUL-07','DD-MON-RR'),'L507',103,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,420,1,to_date('07-MAY-07','DD-MON-RR'),'M311',108,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,450,1,to_date('14-APR-07','DD-MON-RR'),'L507',101,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,134,2,to_date('10-JUN-07','DD-MON-RR'),'L509',102,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,134,3,to_date('08-APR-07','DD-MON-RR'),'L509',103,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,135,1,to_date('16-MAY-07','DD-MON-RR'),'L509',104,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,135,2,to_date('02-JUN-07','DD-MON-RR'),'L214',105,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,135,3,to_date('15-APR-07','DD-MON-RR'),'L509',106,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (115,135,4,to_date('07-MAY-07','DD-MON-RR'),'M200',107,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (116,140,1,to_date('14-JUL-07','DD-MON-RR'),'L509',108,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,140,2,to_date('02-JUN-07','DD-MON-RR'),'L210',101,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (118,140,3,to_date('09-MAY-07','DD-MON-RR'),'L507',102,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,142,1,to_date('14-JUL-07','DD-MON-RR'),'L211',103,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,142,2,to_date('10-JUN-07','DD-MON-RR'),'L214',104,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,142,3,to_date('09-APR-07','DD-MON-RR'),'L507',105,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,144,2,to_date('15-APR-07','DD-MON-RR'),'L214',106,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,145,1,to_date('14-JUL-07','DD-MON-RR'),'L214',107,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,145,3,to_date('09-MAY-07','DD-MON-RR'),'L210',108,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (125,146,1,to_date('29-APR-07','DD-MON-RR'),'L509',101,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (126,124,1,to_date('14-JUL-07','DD-MON-RR'),'M500',102,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,124,2,to_date('24-JUL-07','DD-MON-RR'),'H310',103,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,124,3,to_date('09-APR-07','DD-MON-RR'),'L214',104,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,124,4,to_date('07-MAY-07','DD-MON-RR'),'L210',105,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,125,1,to_date('22-MAY-07','DD-MON-RR'),'L509',106,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (131,125,2,to_date('24-JUL-07','DD-MON-RR'),'L509',107,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (132,125,3,to_date('09-APR-07','DD-MON-RR'),'L214',108,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,125,4,to_date('03-MAY-07','DD-MON-RR'),'L211',101,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,125,6,to_date('11-JUN-07','DD-MON-RR'),'L507',102,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,130,2,to_date('15-APR-07','DD-MON-RR'),'L214',104,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (136,130,3,to_date('24-APR-07','DD-MON-RR'),'L509',105,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (137,130,4,to_date('03-MAY-07','DD-MON-RR'),'L509',106,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,132,1,to_date('21-MAY-07','DD-MON-RR'),'L509',107,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,132,3,to_date('09-JUN-07','DD-MON-RR'),'L509',108,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,134,1,to_date('16-APR-07','DD-MON-RR'),'L509',101,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,100,1,to_date('14-APR-07','DD-MON-RR'),'L214',102,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,100,2,to_date('24-JUL-07','DD-MON-RR'),'L500',103,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,100,3,to_date('03-JUN-07','DD-MON-RR'),'L509',104,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,100,4,to_date('04-MAY-07','DD-MON-RR'),'L507',105,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,100,5,to_date('15-MAY-07','DD-MON-RR'),'L214',106,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,120,1,to_date('16-MAY-07','DD-MON-RR'),'L507',107,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,120,2,to_date('24-JUL-07','DD-MON-RR'),'L206',108,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,120,3,to_date('24-MAY-07','DD-MON-RR'),'L509',101,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,120,4,to_date('04-MAY-07','DD-MON-RR'),'L509',102,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (150,120,5,to_date('15-MAY-07','DD-MON-RR'),'L210',103,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (151,120,7,to_date('12-JUN-07','DD-MON-RR'),'L507',104,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('10-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (152,122,1,to_date('29-APR-07','DD-MON-RR'),'M311',105,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('10-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,122,2,to_date('24-JUL-07','DD-MON-RR'),'L211',106,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('10-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,122,3,to_date('21-MAY-07','DD-MON-RR'),'L507',107,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'CBRENNAN',to_date('10-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (155,122,4,to_date('04-MAY-07','DD-MON-RR'),'L210',108,15,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'ARISCHER',to_date('02-MAR-07','DD-MON-RR'));
Insert into ORACLEUSER.SECTION (SECTION_ID,COURSE_NO,SECTION_NO,START_DATE_TIME,LOCATION,INSTRUCTOR_ID,CAPACITY,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,122,5,to_date('15-MAY-07','DD-MON-RR'),'L507',101,25,'CBRENNAN',to_date('02-JAN-07','DD-MON-RR'),'ARISCHER',to_date('02-MAR-07','DD-MON-RR'));
REM INSERTING into ORACLEUSER.STUDENT
SET DEFINE OFF;
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (360,'Mr.','Calvin','Kiraly','P.O. Box 1627','06820','203-555-5555','E.Asian Library',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (361,'Mr.','Rawan','Rosenberg','94-31 59th Ave #5A','11373','718-555-5555','Millermont Public School',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (362,'Mr.','Yu','Sentell','1679 Woodbine St.','11385','718-555-5555','Emerging Image, Inc.',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (363,'Ms.','Bridget','Hagel','640 E 94th St','11236','718-555-5555','Emerging Image, Inc.',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (364,'Mr.','Howard','Leopta','269 Vassar Ave','07112','201-555-5555','Miro Life Insurance',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (365,'Ms.','Kathleen','Mastandora','Box 165','11222','718-555-5555','Mire Life Insurance',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (366,'Mr.','Gabriel','Smith','451 E 26th St','11226','718-555-5555','Miro Life Insurance',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (367,'Mr.','Raymond','Cheevens','2 Broadview Rd.','06880','203-555-5555','Miro Life Insurance',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (368,'Mr.','Kevin','Lin','1402 Easter Pkwy','11233','718-555-5555','Ettlinger & Amerbach',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (369,'Ms.','Lorraine','Tucker','200 Winston Dr.','07010','201-555-5555','Ettlinger & Amerbach',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (370,'Mr.','John','Mithane','770 Amsterdam Ave. #20K','07010','201-555-5555','Euclid Partners Corp',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (371,'Mr.','Craig','Anglin','199-46 21st Ave.','11357','718-555-5555','Baxxon Corp.',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (372,'Ms.','Zalman','Draquez','5110 Ave. M','11234','718-555-5555','Baxxon Corp.',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (373,'Ms.','Reeva','Yeroushalmi','4500 Beach 45th St.','11224','718-555-5555','Baxxon Corp.',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (374,'Mr.','Leonard','Millstein','31 Thistle Lane','07430','201-555-5555','FGIC',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (375,'Mr.','Jack','Kasperovich','98-17 162nd Ave.','11414','718-555-5555','Fashion Institute',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (376,'Ms.','Lorelei','McNeal','432 Hunt Ln.','11030','718-555-5555','Finle & Co.',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (378,'Mr.','William','Gallo','P O Box 6309','07306','201-555-5555','First Holland Corp.',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (379,'Mr.','Craig','Padron','199-46 21st Ave.','11357','718-555-5555','German Natnl Bank',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (380,'Mr.','Joel','Krot','111 Village Hill Dr.','11746','718-555-5555','Freeman, Davis',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (381,'Mr.','Allan','Simmons','2422 Brigham St.','11235','718-555-5555','Friedlander, Gaines',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (382,'Mr.','Michael','Miroff','1316 South End Prkwy.','07060','201-555-5555','Friedlander, Gaines',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (383,'Ms.','Roger','Cowie','739 Willow St.','07016','201-555-5555','G.C.Osnos Co.',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (384,'Mr.','Asian','Chirichella','134-25 Franklin Ave. #512','11355','718-555-5555','Peo Capital Corp.',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (385,'Ms.','Yvonne','Allende','8020 Fort Ave. #A3','11209','718-555-5555','Georval, Inc.',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (386,'Ms.','Sengita','MacDonald, Jr.','144-35 32nd Ave','11354','718-555-5555','Goddard Institute',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (387,'Mr.','Paul','Braun','224 40th St','07111','201-555-5555','FBO, Inc.',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (388,'Ms.','Anna','Bathmanapan','481 Van Buren St.#C1','11221','718-555-5555','FBO, Inc.',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (389,'Ms.','Shirley','Leung','88 Sherman St.','07055','201-555-5555','FBO, Inc.',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (390,'Mr.','V.','Greenberg','105-34 65th Ave.  #6B','11375','718-555-5555','Handler,Danas Realty',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (391,'Mr.','Rafael A.','Torres','142-20 Franklin Ave. #2Q','11355','718-555-5555','Handler,Danas Realty',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (392,'Mr.','V.','Saliternan','105-34 65th Ave.  #6B','11375','718-555-5555','Handler,Danas Realty',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (393,'Mr.','Melvin','Martin','88 Sherman St.','07055','201-555-5555','Hanlon & McHeffey',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (394,'Ms.','Vera','Wetcel','172-12 133rd Ave.','11434','718-555-5555','Harold C.Hervon, PC',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (396,'Mr.','James E.','Norman','PO Box 809 Curran Hwy','01247','617-555-5555','Health & Hospitals',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (397,'Ms.','Margaret','Lloyd','77-15 113th Street, #15','11375','718-555-5555','Health & Hospitals',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (399,'Mr.','Jerry','Abdou','460 15th St. #4','10025','718-555-5555','Health Mgmt.Systems',to_date('23-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('23-FEB-07','DD-MON-RR'),'BROSENZW',to_date('26-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (102,'Mr.','Fred','Crocitto','101-09 120th St.','11419','718-555-5555','Albert Hildegard Co.',to_date('22-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-JAN-07','DD-MON-RR'),'BROSENZW',to_date('22-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (103,'Ms.','J.','Landry','7435 Boulevard East #45','07047','201-555-5555','Albert Hildegard Co.',to_date('22-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-JAN-07','DD-MON-RR'),'BROSENZW',to_date('22-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (104,'Ms.','Laetia','Enison','144-61 87th Ave','11435','718-555-5555','Albert Hildegard Co.',to_date('22-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-JAN-07','DD-MON-RR'),'BROSENZW',to_date('22-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (105,'Mr.','Angel','Moskowitz','320 John St.','07024','201-555-5555','Alex. & Alexander',to_date('22-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-JAN-07','DD-MON-RR'),'BROSENZW',to_date('22-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (106,'Ms.','Judith','Olvsade','29 Elmwood Ave.','07042','201-555-5555','Allied Corp.',to_date('22-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-JAN-07','DD-MON-RR'),'BROSENZW',to_date('22-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (107,'Ms.','Catherine','Mierzwa','22-70 41st St.','11105','718-555-5555','Amer.Contract Desgn.',to_date('22-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-JAN-07','DD-MON-RR'),'BROSENZW',to_date('22-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (108,'Ms.','Judy','Sethi','Stratton Hall','02155','617-555-5555','Amer.Contract Desgn.',to_date('22-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-JAN-07','DD-MON-RR'),'BROSENZW',to_date('22-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (109,'Mr.','Larry','Walter','38 Bay 26th ST. #2A','11214','718-555-5555','Amer.Health Found.',to_date('22-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-JAN-07','DD-MON-RR'),'BROSENZW',to_date('22-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (110,'Ms.','Maria','Martin','1674 Woodbine St.','11385','718-555-5555','The Stock Exchange',to_date('25-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('22-JAN-07','DD-MON-RR'),'BROSENZW',to_date('25-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (111,'Ms.','Peggy','Noviello','155 Union Ave #211','07070',null,'The Stock Exchange',to_date('25-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('22-JAN-07','DD-MON-RR'),'BROSENZW',to_date('25-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (112,'Mr.','Thomas','Thomas','501 W Elm St.','07036','201-555-5555','The Stock Exchange',to_date('25-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('22-JAN-07','DD-MON-RR'),'BROSENZW',to_date('25-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (113,'Mr.','Anil','Kulina','43-44 Kissena Blvd. #155','11355','718-555-5555','ARFBO',to_date('25-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('22-JAN-07','DD-MON-RR'),'BROSENZW',to_date('25-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (114,'Ms.','Winsome','Laporte','268 E. 3rd St','11226','718-555-5555','ARFBO',to_date('25-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('22-JAN-07','DD-MON-RR'),'BROSENZW',to_date('25-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (117,'Mr.','N','Kuehn','44-25 59th St.','11377','718-555-5555','Beauty Products',to_date('25-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('22-JAN-07','DD-MON-RR'),'BROSENZW',to_date('25-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (118,'Ms.','Hiedi','Lopez','168 Rowayton Ave','06853','203-555-5555','Banque de Paris',to_date('25-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('22-JAN-07','DD-MON-RR'),'BROSENZW',to_date('25-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (119,'Mr.','Mardig','Abdou','160-04 32nd Ave.','11358','718-555-5555','Raymond Capital',to_date('25-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('22-JAN-07','DD-MON-RR'),'BROSENZW',to_date('25-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (120,'Mr.','Ralph','Alexander','2054 73rd St','11214','718-555-5555','Raymond Capital',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (121,'Ms.','Sean','Pineda','3 Salem Rd.','10956','212-555-5555','Burke & Co.',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (122,'Ms.','Julita','Lippen','51-76 Van Kleeck St.','11373','718-555-5555','Burke & Co.',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (123,'Mr.','Pierre','Radicola','322 Atkins Ave.','11208','718-555-5555','Burke & Co.',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (124,'Mr.','Daniel','Wicelinski','27 Brookdale Gdns.','07003','201-555-5555','Burke & Co.',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (127,'Mr.','Gary','Aung','135-32 Louis Blvd','11413','718-555-5555','New York Pop',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (128,'Mr.','Jeff','Runyan','109-15 Queens Blvd.','11375','718-555-5555','New York Pop',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (129,'Mr.','Omaira','Grant','1065 Vermont St. 7F.','11207','718-555-5555','New York Pop',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (130,'Ms.','Lula','Oates','11A Emory St.','07304','201-555-5555','New York Pop',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (133,'Mr.','James','Reed','109-62 196th St','11412','718-555-5555','New York Pop',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (134,'Ms.','Angela','Torres','509 2nd St #4L','11215','718-555-5555','New York Pop',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (135,'Ms.','Michelle','Masser','379 Ovington Ave','11209','718-555-5555','New York Pop',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (136,'Ms.','Hazel','Lasseter','9720 57th Ave #10G','11368','718-555-5555','DUCCA',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (137,'Mr.','James','Miller','9830 57th Ave #3E','11368','718-555-5555','DUCCA',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (138,'Mr.','John','Smith','45 Plaza St. West #2D','11217','718-555-5555','Hanon USA, Inc.',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (139,'Mr.','Angelo','Garshman','82 Western Ave.','07307','201-555-5555','Chase.Young NY Inc',to_date('27-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('24-JAN-07','DD-MON-RR'),'BROSENZW',to_date('27-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (140,'Mr.','Derrick','Baltazar','9111 Church Ave. #3N','11236','718-555-5555','Chase Young NY Inc',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('27-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (141,'Mr.','Robert','Boyd','96-04 57th Ave #12A','11368','718-555-5555','Chicago Pneumat.Tool',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('27-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (142,'Ms.','Monica','Waldman','257 Depot Rd.','11766','718-555-5555','Hallowhill Center',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('27-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (143,'Mr.','Gerard','Biers','205 19th St.','11232','718-555-5555','Civil Court',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('27-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (144,'Mr.','David','Essner','96 E. Ave.','06851','203-555-5555','Medical Presbyterian Hospital',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('27-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (145,'Mr.','Paul','Lefkowitz','2 World Trade Cnt. 18','10048','212-555-5555','Gleeson Law School',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('27-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (146,'Mr.','Joseph','German','19 75th St.','07047','201-555-5555','Anna Miller',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('27-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (147,'Ms.','Judy','Cahouet','6406 10th Ave','11219','718-555-5555','Competrol Real Estate',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('27-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (148,'Mr.','D.','Orent','117 Knapp Ave.','07011','201-555-5555','Competrol Real Estate',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('27-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (149,'Ms.','Judith','Prochaska','49 Martindale Rd','07078','201-555-5555','Competrol Real Estate',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('27-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (150,'Ms.','Regina','Gates','29 Cygnet Dr.','11787','718-555-5555','Coney I.Med. Group',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('30-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (151,'Ms.','Arlyne','Sheppard','33-54 28th St #2C','11106','718-555-5555','Contnl Resources',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('30-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (152,'Mr.','Thomas','Edwards','501 W. Elm','07036','201-555-5555','Contnl Resources',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('30-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (153,'Ms.','Mrudula','Philpotts','86-16 60 Ave. #6L','11373','718-555-5555','Crow Construction',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('30-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (154,'Ms.','Dawn','Dennis','26 Indian Field Rd.','06830','203-555-5555','Cusack & Stiles',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('30-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (156,'Mr.','Scott','Grant','8402 14th Ave.','11224','718-555-5555','Naiwa Securities',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('30-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (157,'Ms.','Shirley','Jameson','101 Daniel St.','07008','201-555-5555','Christa Publishing',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('30-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (158,'Mr.','Roy','Limate','5 Horizon Rd.','07024','201-555-5555','Documt.Mgmt.Group',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('30-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (159,'Mr.','Thomas','Edwards','45 Maplewood Ave.','07040','201-555-5555','Kodiak Island',to_date('30-JAN-07','DD-MON-RR'),'BROSENZWEIG',to_date('30-JAN-07','DD-MON-RR'),'BROSENZW',to_date('30-JAN-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (160,'Mr.','John T.','Beitler','100 Plaza Dr, ITT CSI Emp. Dpt','07096','201-555-5555','Asylum Publishing',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (161,'Ms.','Eilene','Grant','245 Henry St. #2I','11201','718-555-5555','Worldwide Delivery',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (162,'Ms.','Genny','Andrew','5 Sylvan Ln.','06870','203-555-5555','Miro Life Insurance',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (163,'Ms.','Nicole','Gillen','4301 N Ocean #103','10025','904-555-5555','Oil of America Corp.',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (164,'Ms.','Sylvia','Perrin','716a Union St.','11215','718-555-5555','Baxxon Corp.',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (165,'Mr.','Peter','Daly','1219 Ave Y','11235','718-555-5555','Foster Wheeler',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (166,'Ms.','May','Jodoin','162-01 78 th Ave','11366','718-555-5555','Gaum, Inc.',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (167,'Mr.','Jim','Joas','53-33 192nd St.','11365','718-555-5555','Gaum, Inc.',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (168,'Ms.','Sally','Naso','812 79th St.','07047','201-555-5555','Motors National',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (169,'Mr.','Frantz','McLean','23-08 Newtown Ave.','11102','718-555-5555','Guenther Miller',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (170,'Ms.','P.','Balterzar','30 Carriage Rd.','11576','718-555-5555','Parton Corp.',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (171,'Ms.','Denise','Brownstein','104-36 196th St.','11412','718-555-5555','Nearst Corp.',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (172,'Ms.','Maria','Arias','Box 216','11426','718-555-5555','Lising Corp.',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (173,'Mr.','Oscar','McGill','578 E 40th ST.','11218','718-555-5555','Nearst Corp.',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (174,'Mr.','Michael','Brown','265 Hawthorne St #2D','11225','718-555-5555','Nearst Corp.',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (175,'Ms.','Debra','Boyce','294 East 98 St.','11212','718-555-5555','Hoare Govett, Inc.',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (176,'Ms.','Beth','Satterfield','140 Amity St','11201','718-555-5555','Hosp. Jt. Diseases',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (178,'Mr.','Ricardo','Kurtz','31-21 30th St.','11106','718-555-5555','Electronic Engineers',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (179,'Mr.','Simon','Ramesh','92-14 51st Ave','11373','718-555-5555','Electronic Engineers',to_date('02-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('02-FEB-07','DD-MON-RR'),'BROSENZW',to_date('02-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (180,'Mr.','E.A.','Torres','1495 Union','11213','718-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (181,'Mr.','Anthony','Bullock','53 Pauklie St.','11206','718-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (182,'Mr.','Jeffrey','Delbrun','PO Box 1091','07024','201-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (184,'Ms.','Salewa','Zuckerberg','1614 64th St.','11204','718-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (185,'Mr.','Dennis','Mehta','371 Monmouth St.','07302','201-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (186,'Ms.','Christine','Sheppard','16 Seymour St.','07042','201-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (187,'Mr.','O.','Garnes','125 Great Hills Rd','07078','201-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (188,'Mr.','Phil','Gilloon','4244 Morestown Ct. E','43224','614-555-5555','The Electronic Publishing Company',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (189,'Ms.','Deborah','Reyes','91 S 10th St','07107','201-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (190,'Mr.','Alan','Affinito','735 W. Crescent Ave.','07401','201-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (191,'Mr.','Steven','M. Orent','223 Crabapple Rd.','11303','718-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (192,'Mr.','Frank','Viotty','299 Ocean Ae.','11230','718-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (193,'Mr.','Al','Jamerncy','16 Eldor Ave.','10956','212-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (194,'Ms.','Verona','Grant','17 Gould St.','07044','201-555-5555','Electronic Engineers',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (195,'Ms.','Regina','Bose','29 Cygnet Dr.','11787','718-555-5555','Millhover Publishing',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (196,'Mr.','Victor','Meshaj','22 Coach Lame Lane','06830','203-555-5555','Interchurch',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (197,'Mr.','J.','Dalvi','Skaarup Oil Co. 66 Field Pt. R','06830','203-555-5555','Interchurch',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (198,'Mr.','Edwin','Allende','276 Fillo St.','06850','203-555-5555','Interchurch',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (199,'Mr.','J.','Segall','53-35 192 St.','11365','718-555-5555','Johnson & Higgins',to_date('03-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('03-FEB-07','DD-MON-RR'),'BROSENZW',to_date('03-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (200,'Mr.','Gene','Bresser, HR Rep.','81 Shady Ln','07023','201-555-5555','Judicial Center',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('05-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (201,'Mr.','Michael','Lefbowitz','1438 E 100th St','11236','718-555-5555','Judicial Center',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (202,'Ms.','Mary','Axch','144-70 41st Ave. #4T','11355','718-555-5555','Kenyon & Kenyon',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (203,'Mr.','Angel','Cook','320 John St','07029','201-555-5555','Lambert, Brussels',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (204,'Mr.','Arun','Griffen','Box 86','11368','718-555-5555','Lambos, Flynn',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (205,'Mr.','Alfred','Hutheesing','43-11 National St','11368','718-555-5555','Lambos, Flynn',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (206,'Mr.','Freedon','annunziato','45 Adelphi St. #2W','11205','718-555-5555','Lamont Doherty',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (207,'Ms.','Bernadette','Montanez','7 St. Lukes Place #202','07042','201-555-5555','Lamont Doherty',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (208,'Mr.','A.','Tucker','117 Olcott Way','06877','203-555-5555','Lowenthal & Horwalk',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (209,'Mr.','Lloyd','Kellam','156-02 Liberty Ave.','11433','718-555-5555','Lowenthal & Horwalk',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (210,'Mr.','David','Thares','20 Charles Rd.','06798','203-555-5555','MGIC Indemnity',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (211,'Ms.','Jenny','Goldsmith','250 N. Van Dien Ave.','07450','201-555-5555','Man.School Music',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (212,'Ms.','Barbara','Robichaud','132 S Mountain View Dr.','10965','212-555-5555','Man.School Music',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (214,'Ms.','Yvonne','Williams','80-20 4th Ave.  #A3','11209','718-555-5555','Iarriott Hotels',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (215,'Mr.','Reynaldo','Chatman','9925 42nd Ave. #3B','11368','718-555-5555','Iarriott Hotels',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (216,'Mr.','Madhav','Dusenberry','6331 Durham Ave','07047','201-555-5555','Micro Rental',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (217,'Mr.','Jeffrey','Citron','PO Box 1091','07024','201-555-5555','Mitsukoshi USA Inc.',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (218,'Mr.','Eric','Da Silva','90-36 53rd Avenue, #3D','11373','718-555-5555','Mitsukoshi USA Inc.',to_date('05-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('05-FEB-07','DD-MON-RR'),'BROSENZW',to_date('08-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (220,'Mr.','Robert','Segall','36 Brookdale Dr.','06903','203-555-5555','Board Utilities',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (221,'Ms.','Sheradha','Malone','91-41 23rd Ave. 1st Floor','11369','718-555-5555','Board Utilities',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (223,'Mr.','Frank','Pace','13 Burlington Dr.','10025','203-555-5555','Board Utilities',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (224,'Mr.','M.','Diokno','44-20 64th St #6L','11377','718-555-5555','Natnl Bank Hungary',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (225,'Mr.','Edgar','Moffat','172 Lincoln St','07042','201-555-5555','OPEIU',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (227,'Ms.','Bessie','Heedles','932 Carnegie Ave.','07060','201-555-5555','Ogilvy & Bernard',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (228,'Mr.','Mohamed','Valentine','35-33 83rd St. #D 12','11372','718-555-5555','Omni Devel.& Markt.',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (229,'Ms.','Adrienne','Lopez','755 Anderson Ave. #3-25','07010','201-555-5555','P&S 3-401',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (230,'Mr.','George','Kocka','24 Beaufield St.','02124','617-555-5555','PC Values',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (232,'Ms.','Janet','Jung','118-18 Union Tpke #3K','11415','718-555-5555','Plannning, Health S.',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (233,'Ms.','Kathleen','Mulroy','770 Anderson Ave.','07010','201-555-5555','Hohenreuther',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (234,'Mr.','Joel','Brendler','111 Village Hill Dr.','11746','718-555-5555','Morninghill Presbyterian Hosp.',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (235,'Mr.','Michael','Carcia','250 Senator St','11220','718-555-5555','KO Pictures, Inc.',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (236,'Mr.','Gerry','Tripp','35-15 84th St.','11372','718-555-5555','Schl.of Nursing',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (237,'Mr.','Rommel','Frost','P.O. Box 6294','07306','201-555-5555','Seligman Harris',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (238,'Mr.','Roger','Snow','1620 Cambridge Rd.','48104','517-555-5555','Seligman Harris',to_date('08-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('08-FEB-07','DD-MON-RR'),'BROSENZW',to_date('11-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (240,'Ms.','Z.A.','Scrittorale','27 Arrowhead Wy.','06820','203-555-5555','Sibney Advertising',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (241,'Mr.','Joseph','Yourish','185 St. Marks Ave.','11238','718-555-5555','Simpson, Thatcher',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (242,'Mr.','Daniel','Ordes','117 Knapp Ave.','07011','201-555-5555','St.Colg.Optometry',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (243,'Mr.','Bharat','Roberts','175 Oakland Ave.','07306','201-555-5555','Steinhauer,Sheiman',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (244,'Ms.','Sarah','Wilson','457 77th St.','11209','718-555-5555','Thacher, Proffitt',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (245,'Mr.','Irv','Dalvi','1504 Harmon Cove Towers','07094','201-555-5555','Thacher, Proffitt',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (246,'Ms.','Meryl','Owens','94 Sycamore Rd.','07012','201-555-5555','The COG Group,Inc.',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (247,'Mr.','Frank','Bunnell','43 Lindstrom Rd.','06902','203-555-5555','The Plaza Penn Hotel',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (248,'Ms.','Tamara','Zapulla','818 E. Ridgewood Ave.','07450','201-555-5555','Thyssen Stuttgart',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (250,'Mr.','Evan','Fielding','194-07 58th Ave.','11365','718-555-5555','Toronto Neuenstadt',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (251,'Ms.','Catherine','Frangopoulos','2270 41st Street','11105','718-555-5555','U.N.D.P.',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (252,'Ms.','Nana','Barogh','4131 Hampton St.','11373','718-555-5555','U.N.D.P.',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (253,'Mr.','Walter','Boremmann','88 Old Fields Rd','02563','617-555-5555','Union Bk.Bavaria',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (254,'Ms.','Melvina','Chamnonkool','117-36 168th St.','11434','718-555-5555','Union Bk.Bavaria',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (256,'Ms.','Lorrane','Velasco','200 Winston Dr. #2212','07010','201-555-5555','Union Bk.Bavaria',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (257,'Ms.','Suzanne M.','Abid','279 Hempstead Ave.','11565','718-555-5555','Whitney Comm.',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (258,'Ms.','Suzanna','Velasco','1033 Springfield Ave, UCC','07016','201-555-5555','Kirsten Muller',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (259,'Mr.','George','Merriman','49 Adair Ct','11565','718-555-5555','Powerhouse Publishing',to_date('11-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('11-FEB-07','DD-MON-RR'),'BROSENZW',to_date('14-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (260,'Ms.','Jean','Griffith','1219 Mooney Pl.','07065','201-555-5555','Willig Pub.',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (261,'Mr.','Vinnie','Moon','32-67 35th St.','11106','718-555-5555','Kirsten Stein',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (262,'Ms.','Donna','Walston','236 Washington Ave.','07024','201-555-5555','Willig Pub.',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (263,'Mr.','Radharam','King','2416 38 Ave. #5G','11101','718-555-5555','Kirsten Muller',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (264,'Ms.','Lorraine','Harty','17 Beach St.','07307','201-555-5555','A.D. Tihany, Intnl',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (265,'Ms.','Adele','Rothstein','Box 6028','11106','718-555-5555','A.H.R.B.',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (266,'Ms.','Kate','Page','130 8th Ave 38F','11215','718-555-5555','A.H.R.B.',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (267,'Mr.','Julius','Kwong','3001 Edwin Ave. 2B','07024','201-555-5555','Adler & Shaykin',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (268,'Mr.','Ronald','Tangaribuan','140 Hepburn Rd #9J','07012','201-555-5555','Alex. & Alexander',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (269,'Ms.','Sharon','Thompson','390 Parkside Ave. #A4','11220','718-555-5555','Alex. & Alexander',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (270,'Mr.','Charles','Caro','6 Buena Vista St.','06907','203-555-5555','Alex. & Alexander',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (271,'Mr.','Jose','Benitez','69-68 St.','07093','201-555-5555','Amer. Intl Group',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (272,'Ms.','Kevin','Porch','102 Maple St.','07070','201-555-5555','Diabetes Prevention Assoc.',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (273,'Ms.','Hedy','Naso','1072 Abbott Blvd.','07024','201-555-5555','Diabetes Prevention Assoc.',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (274,'Mr.','John','De Simone','107-28 115th St','11419','718-555-5555','Diabetes Prevention Assoc.',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (275,'Mr.','George','Ross','49 Adair Ct.','11565','718-555-5555','Associate Diabetics Foundation',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (276,'Ms.','Florence','Valamas','88-20 86 Street','11432','718-555-5555','Amer.Legal Systems',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (277,'Ms.','Evelyn','Liggons','67-19 49th Ave','11377','718-555-5555','Amer.Legal Systems',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (278,'Mr.','Thomas E.','La Blank','49 Raleigh Rd','02189','617-555-5555','Amer.Legal Systems',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (279,'Ms.','George','Korka','3 Aster Pl.','11746','718-555-5555','Amer.Legal Systems',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (280,'Mr.','Bill','Engongoro','37-55 77th St #5G','11372','718-555-5555','Amer.Legal Systems',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (281,'Ms.','Virginia','Ocampo','68 First Ave.','07094','201-555-5555','Amer.Legal Systems',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (282,'Mr.','Jonathan','Jaele','1543 Nostrant Ave. #3C','11226','718-555-5555','Amer.Legal Systems',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (283,'Ms.','Benita','Perkins','11 Mirrielees Circle','11021','718-555-5555','Amer.Legal Systems',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (284,'Ms.','Salewa','Lindeman','1614 64th St.','11204','718-555-5555','Amer.Legal Systems',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (285,'Mr.','Paul','Sikinger','38 Beaumont Pl','07104','201-555-5555','Amer.Legal Systems',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (286,'Ms.','Robin','Kelly','200 Winston Dr. #2212','07010','201-555-5555','German Express Corp.',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (288,'Ms.','Rosemary','Ellman','143.5 Bowers St.','07307','201-555-5555','Anaesthesiology Associates',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (289,'Ms.','Shirley','Murray','PO Box 143','11224','718-555-5555','Arbank, T.A.S.',to_date('13-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('13-FEB-07','DD-MON-RR'),'BROSENZW',to_date('16-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (290,'Mr.','Brian','Robles','45-08 11th St.','11101','718-555-5555','Asch & Basch, P.A.',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (291,'Mr.','D.','Dewitt','4 Rockledge Rd','07042','201-555-5555','Assoc.Help',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (292,'Mr.','Austin V.','Cadet','360 Sunset Rd.','07444','201-555-5555','Assoc.Help',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (293,'Mr.','Frank','M. Orent','37-21 80th St. #6J','11372','718-555-5555','Assoc.Help',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (294,'Ms.','Yvonne','Winnicki','8020 4th Ave.','11209','718-555-5555','Assoc.Help',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (296,'Mr.','Mike','Madej','214 Cottage St.','06605','203-555-5555','TRS/Sanders',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (298,'Ms.','Paula','Valentine','17 Orchard Farm','11050','718-555-5555','TRS/Sanders',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (299,'Mr.','Brian','Saluja','604 McDough St.','11233','718-555-5555','Frontwater Music',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (300,'Mr.','Frances','Lawson','70 Nevada Ave.','11042','718-555-5555','Frontwater Music',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (301,'Mr.','Barry','Dunkon','1 Marine Pl','07047','201-555-5555','Banco Bueno',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (302,'Ms.','Rita','Archor','30 Lakeview Dr.','06905','203-555-5555','Barnard Love',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (303,'Mr.','George','Milano','#1 Baycoub Dr.','11360','718-555-5555','Barnard Love',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (304,'Mr.','Kardik','Guarino','4141 48th St #3K','11104','718-555-5555','Faerber',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (305,'Mr.','Preston','Larcia','131-57 230th','11413','718-555-5555','Schwaebische Landesbank',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (306,'Mr.','Norman','Callender','6635 108th St.','11375','718-555-5555','Beketon Dickenson',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (307,'Ms.','Salondra','Galik','114-19 131st St.','11420','718-555-5555','Schloomingdales',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (309,'Ms.','Carlos','Airall','250 Sylvan Dr','11552','718-555-5555','Breed, Abbott, Tristan',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (310,'Mr.','Joseph','Jimenes','221-07 Braddock Ave.','11428','718-555-5555','Breed, Abbott, Tristan',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (311,'Mr.','Henry','Masser','5502 Tilden Ave.','11203','718-555-5555','Hurlington Industries',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (312,'Ms.','Maria','Allende','2885 Bayview Ave.','11510','718-555-5555','HK Inc.',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (313,'Mr.','John','Velie','135-24 233rd St.','11422','718-555-5555','TK Inc.',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (314,'Ms.','Bernice','Dermody','209 Carlton Ave.','11205','718-555-5555','New York Pop',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (315,'Ms.','Daniel','McHowell','35 Sommerville St','11717','718-555-5555','Rischert & Assoc.',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (317,'Ms.','Cathy','Austin','64-18 Madison St.','11385','718-555-5555','New York Culture',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (319,'Mr.','George','Eakheit','40 Ramapo Rd','07421','201-555-5555','New York Culture',to_date('17-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('17-FEB-07','DD-MON-RR'),'BROSENZW',to_date('20-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (320,'Mr.','Mark','Miller','40-44 70th St.','11377','718-555-5555','New York Culture',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (321,'Ms.','Jeannette','Smagler','420 Greene Ave.','11216','718-555-5555','New York Culture',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (322,'Mr.','Oscar','Archer','578 E 40th ST.','11218','718-555-5555','Capital Natnl Bank',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (323,'Mr.','Gilbert','Ginestra','555 North Ave, 24C','07024','201-555-5555','Capital Natnl Bank',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (324,'Mr.','Price','Marten','328 Fenimore St. #2','11225','718-555-5555','Xaticorp Retail',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (325,'Ms.','Pat','Puetrino','Bldg #11, 1st St','10954','212-555-5555','Hayworth Business School',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (326,'Mr.','Piotr','Padel','14 Spring Grove','06820','203-555-5555','Coley & McCarthy',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (328,'Mr.','Lynwood A.','Thorton','68 Durand Pl','07111','201-555-5555','Colt Industries',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (330,'Mr.','John','Tabs','8821 16th Avenue','11214','718-555-5555','Hayman Budget Offices',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (331,'Ms.','Mei-Wah','Zopf','3448 76th ST.','11372','718-555-5555','Millerman Libraries',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (332,'Ms.','Paula','Mwangi','321 Hill Ave.','13760','914-555-5555','Public Libraries',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (333,'Mr.','Artie','Ward','951 Carroll St. #3B','11225','718-555-5555','Millerman Libraries',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (334,'Ms.','Sarah','Annina','64 Janes Ln','06903','203-555-5555','Combustion Eng.',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (335,'Ms.','Jane','Jackson','34 Park Row','07057','201-555-5555','Ray Reedy',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (336,'Mr.','Steven','Gallagher','522 60th St.','11228','718-555-5555','Combustion Eng.',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (337,'Mr.','Preston','Cross','131-57 230th','11413','718-555-5555','Competrol Real Estate',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (338,'Ms.','Helga','Towle','87B Hastings Ave.','07070','201-555-5555','Corp.Propty.Invstrs.',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (339,'Mr.','Piang','Nyziak','646 Argyle Rd. B20','11230','718-555-5555','Cosmopolitan Reader, Inc.',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (340,'Mr.','David','Eng','547 Crown St.','11213','718-555-5555','Counselor at Law',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (341,'Mr.','Kevin','Porch','1531 John St.','07024','201-555-5555','Craftex Creations',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (342,'Ms.','Marianne','De Armas','25 Duncan Ave.','07304','201-555-5555','Craftex Creations',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (343,'Mr.','Ray','Schafer','73 Wilson St','11530','718-555-5555','Craftex Joice',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (344,'Rev','R.','Sprouse','525 E. Front St.','07060','201-555-5555','Crane Co.',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (345,'Mr.','Peter','Carey','23 School Lane','11743','718-555-5555','Crane Co.',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (346,'Dr.','Joane','Buckberg','311 Temple Pl.','07090','201-555-5555','Crane Co.',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (347,'Ms.','Edith','Daly','1763 E 28th St','11229','718-555-5555','Crane Co.',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (348,'Mr.','Morty','Miller','14 Side Hill Rd','06880','203-555-5555','Crane Co.',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (349,'Ms.','Margaret','Mandel','1701 Albemarne Wd. F3','11226','718-555-5555','Crane Co.',to_date('19-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('19-FEB-07','DD-MON-RR'),'BROSENZW',to_date('22-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (351,'Mr.','Alan','Galik','84-23 Mantuon St #4E','11435','718-555-5555','Credit for Everyone',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (352,'Ms.','Debra','Shah','118-48 203rd St','11412','718-555-5555','DHJ Info Services',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (353,'Mr.','Paul','Intal','62A Brookdale Grdns.','07003','201-555-5555','Dean Reynolds',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (355,'Mr.','Romeo','Ittoop','837 Pavonia Ave.','07306','201-555-5555','Donaldson Lufkin',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (356,'Mr.','John','Ancean','23 Pines Bridge Rd','06483','203-555-5555','Donaldson Lufkin',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (357,'Mr.','Tom','Vargas','86 Harmon St.','11561','718-555-5555','Doyle & Assoc.',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (358,'Ms.','Valerie','Avia','142-20 Franklin Ave. #3M','11355','718-555-5555','Drummond & Hill',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
Insert into ORACLEUSER.STUDENT (STUDENT_ID,SALUTATION,FIRST_NAME,LAST_NAME,STREET_ADDRESS,ZIP,PHONE,EMPLOYER,REGISTRATION_DATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values (359,'Mr.','Fermin','Galik','54 Grand St.','11758','718-555-5555','Drummond & Hill',to_date('21-FEB-07','DD-MON-RR'),'BROSENZWEIG',to_date('21-FEB-07','DD-MON-RR'),'BROSENZW',to_date('24-FEB-07','DD-MON-RR'));
REM INSERTING into ORACLEUSER.ZIPCODE
SET DEFINE OFF;
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('00914','Santurce','PR','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('01247','North Adams','MA','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('02124','Dorchester','MA','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('02155','Tufts Univ. Bedford','MA','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('02189','Weymouth','MA','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('02563','Sandwich','MA','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06401','Ansonia','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06455','Middlefield','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06483','Oxford','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06520','New Haven','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06605','Bridgeport','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06798','Woodbury','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06820','Georgetown','WV','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06830','Greenwich','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06850','Norwalk','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06851','Norwalk','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06853','Rowayton','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06870','Old Greenwich','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06877','Ridgefield','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06880','Westport','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06883','Weston','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06897','Wilton','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06902','Stamford','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06903','Stamford','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06905','Stamford','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('06907','Stamford','CT','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07002','Bayonne','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07003','Bloomfiel','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07006','North Caldwell','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07008','Carteret','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07009','Cedar Grove','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07010','Cliffside Park','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07011','Clifton','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07012','Clifton','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07014','Clifton','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07016','Cranford','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07021','Essex Fells','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07023','Fanwood','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07024','Ft. Lee','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07029','Harrison','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07030','Hoboken','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07034','Lake Hiawatha','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07035','Lincoln Pk.','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07036','Lyndon','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07040','Maplewood','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07042','Montclair','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07043','Upper Montclair','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07044','Verona','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07047','North Bergen','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07054','Parsippany','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07055','Passaic','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07057','Wallington','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07060','Plainfield','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07065','Rahway','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07066','Clark','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07070','Rutherford','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07078','Short Hills','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07079','S. Orange','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07087','Weehawken','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07090','Westfield','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07093','Guttenberg','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07094','Secaucus','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07096','Secaucus','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07102','Newark','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07104','Newark','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07107','Newark','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07109','Belleville','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07111','Irvington','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07112','Newark','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07302','Jersey City','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07304','Jersey City','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07306','Jersey City','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07307','Jersey City','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07401','Allendale','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07410','Fair Lawn','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07417','Franklin Lakes','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07421','Hewitt','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07430','Mahwah','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07444','Pompton Plains','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07450','Ridgewood','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07452','Glen Rock','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07458','Upper Saddle River','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07465','Wahnaque','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07470','Wayne','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07480','W. Milford','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07503','Paterson','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07509','Patterson','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07601','Hackensack','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07603','Bogota','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07607','Maywood','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07620','Alpine','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07621','Bergenfield','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07624','Closter','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07628','Dumont','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07631','Englewood','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07632','E. Cliffs','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07640','Harrington Park','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07645','Montvale','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07646','New Milford','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07648','Norwood','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07649','Oradell','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07652','Paramus','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('07656','Park Ridge','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10004','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10005','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10014','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10015','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10017','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10019','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10025','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10027','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10035','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10036','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10048','New York','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10954','Nannet','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10956','New City','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10960','Central Nyack','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10965','Pearl River','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('10983','Tappan','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11021','Great Neck','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11029','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11030','Manhasset','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11040','New Hyde Park','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11042','Long Beach','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11050','Fort Washington','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11101','Long Island City','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11102','Astoria','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11103','Astoria','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11104','Sunnyside','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11105','Astoria','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11106','Long Island City','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11201','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11203','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11204','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11205','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11206','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11207','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11208','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11209','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11210','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11211','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11212','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11213','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11214','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11215','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11216','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11217','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11218','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11219','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11220','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11221','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11222','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11223','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11224','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11225','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11226','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11228','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11229','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11230','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11231','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11232','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11233','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11234','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11235','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11236','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11238','Brooklyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11295','West Islip','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11303','Monbasset','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11322','Jackson Hts.','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11354','Flushing','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11355','Flushing','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11357','Whitestone','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11358','Flushing','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11360','Bayside','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11361','Bayside','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11362','Douglaston','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11365','Fresh Meadows','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11366','Flushing','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11368','Corona','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11369','Elmhurst','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11370','Jackson Heights','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11372','Jackson Heights','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11373','Amherst','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11374','Rego Park','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11375','Forest Hills','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11377','Woodside','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11385','Ridgewood Queens','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11403','Holliswood','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11412','Hollis','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11413','Laurelton','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11414','Howard Bank','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11415','Kew Gardens','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11418','Richmond Hills','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11419','Richmond Hill','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11420','Jamaica','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11422','Laurelton','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11426','Bellrose','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11428','Queens Village','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11432','Jamaica','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11433','Jamaica','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11434','Jamaica','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11435','Jamaica','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11510','Baldwin','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11530','Garden City','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11550','Hempstead','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11552','West Hempstead','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11561','Long Beach','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11565','Malverne','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11572','Jackson Heights','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11576','Roslyn','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11598','Woodmere','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11694','Far Rockaway','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11717','Brentwood','NJ','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('18-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11720','Centerach','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11722','Central Islip','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11743','Huntington','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11746','Dix Hills','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11758','Massapequa','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11766','Huntington','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11776','Port Jefferson','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11787','Smithtown','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('11802','Hicksville','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('13760','Endicott','NY','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'AMORRISO',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('30342','Atlanta','GA','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('33431','Boca Raton','FL','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('43224','Columbus','OH','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
Insert into ORACLEUSER.ZIPCODE (ZIP,CITY,STATE,CREATED_BY,CREATED_DATE,MODIFIED_BY,MODIFIED_DATE) values ('48104','Ann Arbor','MI','AMORRISO',to_date('03-AUG-07','DD-MON-RR'),'ARISCHER',to_date('24-NOV-07','DD-MON-RR'));
--------------------------------------------------------
--  DDL for Index STU_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."STU_PK" ON "ORACLEUSER"."STUDENT" ("STUDENT_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index GRCON_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."GRCON_PK" ON "ORACLEUSER"."GRADE_CONVERSION" ("LETTER_GRADE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index SECT_CRSE_FK_I
--------------------------------------------------------

  CREATE INDEX "ORACLEUSER"."SECT_CRSE_FK_I" ON "ORACLEUSER"."SECTION" ("COURSE_NO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index SECT_INST_FK_I
--------------------------------------------------------

  CREATE INDEX "ORACLEUSER"."SECT_INST_FK_I" ON "ORACLEUSER"."SECTION" ("INSTRUCTOR_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index GR_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."GR_PK" ON "ORACLEUSER"."GRADE" ("STUDENT_ID", "SECTION_ID", "GRADE_TYPE_CODE", "GRADE_CODE_OCCURRENCE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CRSE_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."CRSE_PK" ON "ORACLEUSER"."COURSE" ("COURSE_NO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index ENR_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."ENR_PK" ON "ORACLEUSER"."ENROLLMENT" ("STUDENT_ID", "SECTION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index INST_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."INST_PK" ON "ORACLEUSER"."INSTRUCTOR" ("INSTRUCTOR_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index GR_GRTW_FK_I
--------------------------------------------------------

  CREATE INDEX "ORACLEUSER"."GR_GRTW_FK_I" ON "ORACLEUSER"."GRADE" ("SECTION_ID", "GRADE_TYPE_CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index GRTYP_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."GRTYP_PK" ON "ORACLEUSER"."GRADE_TYPE" ("GRADE_TYPE_CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index INST_ZIP_FK_I
--------------------------------------------------------

  CREATE INDEX "ORACLEUSER"."INST_ZIP_FK_I" ON "ORACLEUSER"."INSTRUCTOR" ("ZIP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index SECT_SECT2_UK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."SECT_SECT2_UK" ON "ORACLEUSER"."SECTION" ("SECTION_NO", "COURSE_NO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index SECT_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."SECT_PK" ON "ORACLEUSER"."SECTION" ("SECTION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index GRTW_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."GRTW_PK" ON "ORACLEUSER"."GRADE_TYPE_WEIGHT" ("SECTION_ID", "GRADE_TYPE_CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index ENR_SECT_FK_I
--------------------------------------------------------

  CREATE INDEX "ORACLEUSER"."ENR_SECT_FK_I" ON "ORACLEUSER"."ENROLLMENT" ("SECTION_ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index STU_ZIP_FK_I
--------------------------------------------------------

  CREATE INDEX "ORACLEUSER"."STU_ZIP_FK_I" ON "ORACLEUSER"."STUDENT" ("ZIP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index ZIP_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ORACLEUSER"."ZIP_PK" ON "ORACLEUSER"."ZIPCODE" ("ZIP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index GRTW_GRTYP_FK_I
--------------------------------------------------------

  CREATE INDEX "ORACLEUSER"."GRTW_GRTYP_FK_I" ON "ORACLEUSER"."GRADE_TYPE_WEIGHT" ("GRADE_TYPE_CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index CRSE_CRSE_FK_I
--------------------------------------------------------

  CREATE INDEX "ORACLEUSER"."CRSE_CRSE_FK_I" ON "ORACLEUSER"."COURSE" ("PREREQUISITE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table ZIPCODE
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."ZIPCODE" ADD CONSTRAINT "ZIP_PK" PRIMARY KEY ("ZIP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."ZIPCODE" MODIFY ("MODIFIED_BY" CONSTRAINT "ZIP_MODIFIED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."ZIPCODE" MODIFY ("ZIP" CONSTRAINT "ZIP_ZIP_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."ZIPCODE" MODIFY ("CREATED_DATE" CONSTRAINT "ZIP_CREATED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."ZIPCODE" MODIFY ("MODIFIED_DATE" CONSTRAINT "ZIP_MODIFIED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."ZIPCODE" MODIFY ("CREATED_BY" CONSTRAINT "ZIP_CREATED_BY_NNULL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table SECTION
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."SECTION" ADD CONSTRAINT "SECT_SECT2_UK" UNIQUE ("SECTION_NO", "COURSE_NO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."SECTION" ADD CONSTRAINT "SECT_PK" PRIMARY KEY ("SECTION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."SECTION" MODIFY ("COURSE_NO" CONSTRAINT "SECT_COURSE_NO_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."SECTION" MODIFY ("MODIFIED_DATE" CONSTRAINT "SECT_MODIFIED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."SECTION" MODIFY ("INSTRUCTOR_ID" CONSTRAINT "SECT_INSTRUCTOR_ID_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."SECTION" MODIFY ("CREATED_BY" CONSTRAINT "SECT_CREATED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."SECTION" MODIFY ("SECTION_NO" CONSTRAINT "SECT_SECTION_NO_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."SECTION" MODIFY ("SECTION_ID" CONSTRAINT "SECT_SECTION_ID_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."SECTION" MODIFY ("MODIFIED_BY" CONSTRAINT "SECT_MODIFIED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."SECTION" MODIFY ("CREATED_DATE" CONSTRAINT "SECT_CREATED_DATE_NNULL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GRADE_TYPE_WEIGHT
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" ADD CONSTRAINT "GRTW_PK" PRIMARY KEY ("SECTION_ID", "GRADE_TYPE_CODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" MODIFY ("MODIFIED_DATE" CONSTRAINT "GRTW_MODIFIED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" MODIFY ("DROP_LOWEST" CONSTRAINT "GRTW_DROP_LOWEST_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" MODIFY ("CREATED_BY" CONSTRAINT "GRTW_CREATED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" MODIFY ("MODIFIED_BY" CONSTRAINT "GRTW_MODIFIED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" MODIFY ("SECTION_ID" CONSTRAINT "GRTW_SECTION_ID_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" MODIFY ("GRADE_TYPE_CODE" CONSTRAINT "GRTW_GRADE_TYPE_CODE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" MODIFY ("PERCENT_OF_FINAL_GRADE" CONSTRAINT "GRTW_PCT_OF_FINAL_GRADE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" MODIFY ("CREATED_DATE" CONSTRAINT "GRTW_CREATED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" MODIFY ("NUMBER_PER_SECTION" CONSTRAINT "GRTW_NUMBER_PER_SECTION_NNULL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GRADE
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."GRADE" ADD CONSTRAINT "GR_PK" PRIMARY KEY ("STUDENT_ID", "SECTION_ID", "GRADE_TYPE_CODE", "GRADE_CODE_OCCURRENCE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."GRADE" MODIFY ("NUMERIC_GRADE" CONSTRAINT "GR_NUMERIC_GRADE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE" MODIFY ("MODIFIED_BY" CONSTRAINT "GR_MODIFIED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE" MODIFY ("GRADE_CODE_OCCURRENCE" CONSTRAINT "GR_GRADE_CODE_OCCURRENCE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE" MODIFY ("CREATED_BY" CONSTRAINT "GR_CREATED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE" MODIFY ("MODIFIED_DATE" CONSTRAINT "GR_MODIFIED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE" MODIFY ("GRADE_TYPE_CODE" CONSTRAINT "GR_GRADE_TYPE_CODE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE" MODIFY ("SECTION_ID" CONSTRAINT "GR_SECTION_ID_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE" MODIFY ("STUDENT_ID" CONSTRAINT "GR_STUDENT_ID_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE" MODIFY ("CREATED_DATE" CONSTRAINT "GR_CREATED_DATE_NNULL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table STUDENT
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."STUDENT" ADD CONSTRAINT "STU_PK" PRIMARY KEY ("STUDENT_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."STUDENT" MODIFY ("CREATED_DATE" CONSTRAINT "STU_CREATED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."STUDENT" MODIFY ("MODIFIED_BY" CONSTRAINT "STU_MODIFIED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."STUDENT" MODIFY ("STUDENT_ID" CONSTRAINT "STU_STUDENT_ID_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."STUDENT" MODIFY ("MODIFIED_DATE" CONSTRAINT "STU_MODIFIED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."STUDENT" MODIFY ("LAST_NAME" CONSTRAINT "STU_LAST_NAME_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."STUDENT" MODIFY ("ZIP" CONSTRAINT "STU_ZIP_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."STUDENT" MODIFY ("CREATED_BY" CONSTRAINT "STU_CREATED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."STUDENT" MODIFY ("REGISTRATION_DATE" CONSTRAINT "STU_REGISTRATION_DATE_NNULL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GRADE_CONVERSION
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."GRADE_CONVERSION" ADD CONSTRAINT "GRCON_PK" PRIMARY KEY ("LETTER_GRADE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."GRADE_CONVERSION" MODIFY ("CREATED_BY" CONSTRAINT "GRCON_CREATED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_CONVERSION" MODIFY ("MIN_GRADE" CONSTRAINT "GRCON_MIN_GRADE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_CONVERSION" MODIFY ("LETTER_GRADE" CONSTRAINT "GRCON_LETTER_GRADE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_CONVERSION" MODIFY ("MODIFIED_BY" CONSTRAINT "GRCON_MODIFIED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_CONVERSION" MODIFY ("GRADE_POINT" CONSTRAINT "GRCON_GRADE_POINT_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_CONVERSION" MODIFY ("CREATED_DATE" CONSTRAINT "GRCON_CREATED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_CONVERSION" MODIFY ("MODIFIED_DATE" CONSTRAINT "GRCON_MODIFIED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_CONVERSION" MODIFY ("MAX_GRADE" CONSTRAINT "GRCON_MAX_GRADE_NNULL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table COURSE
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."COURSE" ADD CONSTRAINT "CRSE_PK" PRIMARY KEY ("COURSE_NO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."COURSE" MODIFY ("CREATED_BY" CONSTRAINT "CRSE_CREATED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."COURSE" MODIFY ("COURSE_NO" CONSTRAINT "CRSE_COURSE_NO_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."COURSE" MODIFY ("DESCRIPTION" CONSTRAINT "CRSE_DESCRIPTION_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."COURSE" MODIFY ("MODIFIED_DATE" CONSTRAINT "CRSE_MODIFIED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."COURSE" MODIFY ("MODIFIED_BY" CONSTRAINT "CRSE_MODIFIED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."COURSE" MODIFY ("CREATED_DATE" CONSTRAINT "CRSE_CREATED_DATE_NNULL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table INSTRUCTOR
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."INSTRUCTOR" ADD CONSTRAINT "INST_PK" PRIMARY KEY ("INSTRUCTOR_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."INSTRUCTOR" MODIFY ("MODIFIED_DATE" CONSTRAINT "INST_MODIFIED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."INSTRUCTOR" MODIFY ("CREATED_DATE" CONSTRAINT "INST_CREATED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."INSTRUCTOR" MODIFY ("CREATED_BY" CONSTRAINT "INST_CREATED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."INSTRUCTOR" MODIFY ("INSTRUCTOR_ID" CONSTRAINT "INST_INSTRUCTOR_ID_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."INSTRUCTOR" MODIFY ("MODIFIED_BY" CONSTRAINT "INST_MODFIED_BY_NNULL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GRADE_TYPE
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."GRADE_TYPE" ADD CONSTRAINT "GRTYP_PK" PRIMARY KEY ("GRADE_TYPE_CODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE" ADD CONSTRAINT "GRTYP_GRADE_TYPE_CODE_LENGTH" CHECK (LENGTH(grade_type_code)=2) ENABLE;
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE" MODIFY ("CREATED_DATE" CONSTRAINT "GRTYP_CREATED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE" MODIFY ("MODIFIED_DATE" CONSTRAINT "GRTYP_MODIFIED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE" MODIFY ("GRADE_TYPE_CODE" CONSTRAINT "GRTYP_GRADE_TYPE_CODE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE" MODIFY ("CREATED_BY" CONSTRAINT "GRTYP_CREATED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE" MODIFY ("MODIFIED_BY" CONSTRAINT "GRTYP_MODIFIED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE" MODIFY ("DESCRIPTION" CONSTRAINT "GRTYP_DESCRIPTION_NNULL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ENROLLMENT
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."ENROLLMENT" ADD CONSTRAINT "ENR_PK" PRIMARY KEY ("STUDENT_ID", "SECTION_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "ORACLEUSER"."ENROLLMENT" MODIFY ("CREATED_DATE" CONSTRAINT "ENR_CREATED_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."ENROLLMENT" MODIFY ("CREATED_BY" CONSTRAINT "ENR_CREATED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."ENROLLMENT" MODIFY ("SECTION_ID" CONSTRAINT "ENR_SECTION_ID_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."ENROLLMENT" MODIFY ("MODIFIED_BY" CONSTRAINT "ENR_MODIFIED_BY_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."ENROLLMENT" MODIFY ("ENROLL_DATE" CONSTRAINT "ENR_ENROLL_DATE_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."ENROLLMENT" MODIFY ("STUDENT_ID" CONSTRAINT "ENR_STUDENT_ID_NNULL" NOT NULL ENABLE);
  ALTER TABLE "ORACLEUSER"."ENROLLMENT" MODIFY ("MODIFIED_DATE" CONSTRAINT "ENR_MODIFIED_DATE_NNULL" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table COURSE
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."COURSE" ADD CONSTRAINT "CRSE_CRSE_FK" FOREIGN KEY ("PREREQUISITE")
	  REFERENCES "ORACLEUSER"."COURSE" ("COURSE_NO") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table ENROLLMENT
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."ENROLLMENT" ADD CONSTRAINT "ENR_SECT_FK" FOREIGN KEY ("SECTION_ID")
	  REFERENCES "ORACLEUSER"."SECTION" ("SECTION_ID") ENABLE;
  ALTER TABLE "ORACLEUSER"."ENROLLMENT" ADD CONSTRAINT "ENR_STU_FK" FOREIGN KEY ("STUDENT_ID")
	  REFERENCES "ORACLEUSER"."STUDENT" ("STUDENT_ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table GRADE
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."GRADE" ADD CONSTRAINT "GR_ENR_FK" FOREIGN KEY ("STUDENT_ID", "SECTION_ID")
	  REFERENCES "ORACLEUSER"."ENROLLMENT" ("STUDENT_ID", "SECTION_ID") ENABLE;
  ALTER TABLE "ORACLEUSER"."GRADE" ADD CONSTRAINT "GR_GRTW_FK" FOREIGN KEY ("SECTION_ID", "GRADE_TYPE_CODE")
	  REFERENCES "ORACLEUSER"."GRADE_TYPE_WEIGHT" ("SECTION_ID", "GRADE_TYPE_CODE") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table GRADE_TYPE_WEIGHT
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" ADD CONSTRAINT "GRTW_GRTYP_FK" FOREIGN KEY ("GRADE_TYPE_CODE")
	  REFERENCES "ORACLEUSER"."GRADE_TYPE" ("GRADE_TYPE_CODE") ENABLE;
  ALTER TABLE "ORACLEUSER"."GRADE_TYPE_WEIGHT" ADD CONSTRAINT "GRTW_SECT_FK" FOREIGN KEY ("SECTION_ID")
	  REFERENCES "ORACLEUSER"."SECTION" ("SECTION_ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table INSTRUCTOR
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."INSTRUCTOR" ADD CONSTRAINT "INST_ZIP_FK" FOREIGN KEY ("ZIP")
	  REFERENCES "ORACLEUSER"."ZIPCODE" ("ZIP") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table SECTION
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."SECTION" ADD CONSTRAINT "SECT_CRSE_FK" FOREIGN KEY ("COURSE_NO")
	  REFERENCES "ORACLEUSER"."COURSE" ("COURSE_NO") ENABLE;
  ALTER TABLE "ORACLEUSER"."SECTION" ADD CONSTRAINT "SECT_INST_FK" FOREIGN KEY ("INSTRUCTOR_ID")
	  REFERENCES "ORACLEUSER"."INSTRUCTOR" ("INSTRUCTOR_ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table STUDENT
--------------------------------------------------------

  ALTER TABLE "ORACLEUSER"."STUDENT" ADD CONSTRAINT "STU_ZIP_FK" FOREIGN KEY ("ZIP")
	  REFERENCES "ORACLEUSER"."ZIPCODE" ("ZIP") ENABLE;
